import { computed, unref, inject, defineComponent, useCssVars, openBlock, createBlock, mergeProps, renderSlot, withScopeId, ref, onMounted, watch, createVNode, toRef, provide, isRef, withCtx, Fragment, createTextVNode, toDisplayString, createCommentVNode, watchEffect, pushScopeId, popScopeId, createSlots, resolveComponent, Transition, toHandlers, withDirectives, vShow, useSlots, renderList, useContext, reactive, onUnmounted, toRefs, withModifiers, isVNode } from 'vue';
import AButton from 'ant-design-vue/es/button';
import { merge, cloneDeep, kebabCase, capitalize, debounce, orderBy, get, forIn, set, camelCase } from 'lodash-es';
import { analySize, analyUnit, filterPrice, selectFiles, fuseThemeColor, downloadBlobFile, readFileReader } from '@tuimao/utils';
import QRCode from 'qrcodejs2-fix';
import { useVModel, useWindowSize, useStorage } from '@vueuse/core';
import AModal from 'ant-design-vue/es/modal';
import { NIcon } from 'naive-ui/es/icon';
import nProgress from 'nprogress';
import { renderInstance } from '@tuimao/utils/package/vue-utils/utils';
import 'echarts';
import ECharts from 'vue-echarts';
export { default as CalEcharts } from 'vue-echarts';
import Form from 'ant-design-vue/es/form';
export { default as CalForm } from 'ant-design-vue/es/form';
import { NSlider } from 'naive-ui/es/slider';
import { NResult } from 'naive-ui/es/result';
export { NResult as CalResult } from 'naive-ui/es/result';
import { PerfectScrollbar } from 'vue3-perfect-scrollbar';
import TinymceEditor from '@tinymce/tinymce-vue';
import 'tinymce';
import 'tinymce/skins/ui/oxide/skin.min.css';
import 'tinymce/skins/ui/oxide/content.min.css';
import 'tinymce/skins/content/default/content.css';
import 'tinymce/icons/default/icons';
import 'tinymce/themes/silver';
import 'tinymce/plugins/advlist';
import 'tinymce/plugins/image';
import 'tinymce/plugins/anchor';
import 'tinymce/plugins/autolink';
import 'tinymce/plugins/autosave';
import 'tinymce/plugins/code';
import 'tinymce/plugins/codesample';
import 'tinymce/plugins/colorpicker';
import 'tinymce/plugins/contextmenu';
import 'tinymce/plugins/directionality';
import 'tinymce/plugins/emoticons';
import 'tinymce/plugins/fullscreen';
import 'tinymce/plugins/hr';
import 'tinymce/plugins/imagetools';
import 'tinymce/plugins/insertdatetime';
import 'tinymce/plugins/link';
import 'tinymce/plugins/lists';
import 'tinymce/plugins/nonbreaking';
import 'tinymce/plugins/noneditable';
import 'tinymce/plugins/pagebreak';
import 'tinymce/plugins/paste';
import 'tinymce/plugins/preview';
import 'tinymce/plugins/print';
import 'tinymce/plugins/save';
import 'tinymce/plugins/textcolor';
import 'tinymce/plugins/textpattern';
import 'tinymce/plugins/visualblocks';
import 'tinymce/plugins/visualchars';
import 'tinymce/plugins/wordcount';
import 'tinymce/plugins/searchreplace';
import 'tinymce/plugins/spellchecker';
import 'tinymce/plugins/tabfocus';
import 'tinymce/plugins/table';
import 'tinymce/plugins/template';
import Breadcrumb from 'ant-design-vue/es/breadcrumb';
export { default as CalBreadcrumb } from 'ant-design-vue/es/breadcrumb';
import ElColorPicker from 'element-plus/es/el-color-picker';
import { NColorPicker } from 'naive-ui/es/color-picker';
import ATag from 'ant-design-vue/es/tag';
import 'vanilla-colorful';
import Pickr from '@simonwep/pickr';
import '@simonwep/pickr/dist/themes/classic.min.css';
import '@simonwep/pickr/dist/themes/monolith.min.css';
import '@simonwep/pickr/dist/themes/nano.min.css';
import { NDescriptions, NDescriptionsItem } from 'naive-ui/es/descriptions';
export { NDescriptions as CalDescriptions, NDescriptionsItem as CalDescriptionsItem } from 'naive-ui/es/descriptions';
import Layout$1 from 'ant-design-vue/es/layout';
export { default as CalLayout } from 'ant-design-vue/es/layout';
import { NEllipsis } from 'naive-ui/es/ellipsis';
import { NSpace } from 'naive-ui/es/space';
import AInput from 'ant-design-vue/es/input';
import InputPassword from 'ant-design-vue/es/input/Password';
import moment from 'moment';
import DatePicker from 'ant-design-vue/es/date-picker';
import { NInputNumber } from 'naive-ui/es/input-number';
import InputSearch from 'ant-design-vue/es/input/Search';
import ASelect from 'ant-design-vue/es/select';
import ATreeSelect from 'ant-design-vue/es/tree-select';
import ElTimePicker from 'element-plus/es/el-time-picker';
import 'element-plus/lib/theme-chalk/el-icon.css';
import 'element-plus/lib/theme-chalk/el-time-picker.css';
import AImage from 'ant-design-vue/es/image';
import ACard from 'ant-design-vue/es/card';
import ACascader from 'ant-design-vue/es/cascader';
import ACheckbox from 'ant-design-vue/es/checkbox/Checkbox';
import ACheckboxGroup from 'ant-design-vue/es/checkbox/Group';
import { nanoid } from 'nanoid';
import Sortable from 'sortablejs';
import AEmpty from 'ant-design-vue/es/empty';
import APagination from 'ant-design-vue/es/pagination';
import ARadio from 'ant-design-vue/es/radio';
import RadioGroup from 'ant-design-vue/es/radio/Group';
import RadioButton from 'ant-design-vue/es/radio/RadioButton';
import Steps from 'ant-design-vue/es/steps';
import ASwitch from 'ant-design-vue/es/switch';
import ATabs from 'ant-design-vue/es/tabs';
import ATree from 'ant-design-vue/es/tree';
import Upload from 'ant-design-vue/es/upload';
import message from 'ant-design-vue/es/message';
import { NPopover } from 'naive-ui/es/popover';
import { NCollapse, NCollapseItem } from 'naive-ui/es/collapse';
import antd__default from 'ant-design-vue';
export * from 'ant-design-vue';

var Common = {
	baseTextColor: "#001426",
	solidTextColor: "",
	hollowTextColor: "",
	primaryColor: "#558BF7",
	baseColor: "#ffffff",
	"primaryColorLight-2": "#77a2f9",
	"primaryColorLight-4": "#99b9fa",
	"primaryColorLight-6": "#bbd1fc",
	"primaryColorLight-8": "#dde8fd",
	"primaryColorDark-2": "#446fc6",
	"primaryColorDark-4": "#335394",
	"primaryColorDark-6": "#223863",
	"primaryColorDark-8": "#111c31",
	"primaryColorOpacity-2": "rgba(85,139,247,0.8)",
	"primaryColorOpacity-4": "rgba(85,139,247,0.6)",
	"primaryColorOpacity-6": "rgba(85,139,247,0.4)",
	"primaryColorOpacity-8": "rgba(85,139,247,0.2)",
	"primaryColorOpacity-9": "rgba(85,139,247,0.1)"
};
var Layout = {
	siderColor: "var(--common-primary-color-dark-8)"
};
var Menu = {
	itemTextColor: "var(--common-primary-color-light-8)",
	itemTextActiveColor: "#FFFFFF",
	itemTextHoverColor: "var(--menu-item-text-color)",
	itemBodyColor: "#FFFFFF00",
	itemBodyActiveColor: "var(--common-primary-color-dark-2)",
	itemBodyHoverColor: "inherit",
	itemBtnTextColor: "var(--layout-sider-color)",
	itemBtnTextActiveColor: "#FFFFFF",
	itemBtnTextHoverColor: "var(--common-primary-color)",
	itemBtnBodyColor: "inherit",
	itemBtnBodyActiveColor: "var(--common-primary-color)",
	itemBtnBodyHoverColor: "var(--common-primary-color-light-8)",
	itemChildTextColor: "var(--layout-sider-color)",
	itemChildTextActiveColor: "var(--common-primary-color)",
	itemChildTextHoverColor: "var(--common-primary-color)",
	itemChildBodyColor: "inherit",
	itemChildBodyActiveColor: "var(--menu-item-btn-body-hover-color)",
	itemChildBodyHoverColor: "var(--menu-item-btn-body-hover-color)"
};
var Button = {
};
var Input = {
	activeColor: "",
	hoverColor: "var(--common-primary-color)",
	focusColor: "var(--common-primary-color-light-8)",
	solidColor: "#ffffff"
};
var PageSelect = {
	solidColor: "#ffffff"
};
var Tabs = {
	backgroundColor: "var(--common-base-color)",
	hollowColor: ""
};
var Card = {
	bgColor: "var(--common-base-color)"
};
var upload = {
	bgColor: "#ffffff"
};
var Table = {
	borderColor: "#f5f5f5"
};
var Classification = {
	notSelectedBodyColor: "#F2F6FA",
	notSelectedTextColor: "#8C8C8C",
	selectedTextColor: "#ffffff",
	selectedBodyColor: "var(--common-primary-color)"
};
var _colors = {
	Common: Common,
	Layout: Layout,
	Menu: Menu,
	Button: Button,
	Input: Input,
	PageSelect: PageSelect,
	Tabs: Tabs,
	Card: Card,
	upload: upload,
	Table: Table,
	Classification: Classification
};

var _sizes = {
	
};

var Background = {
	image: "",
	color: "#f0f2f5",
	blur: "blur(20px)"
};
var _basics = {
	Background: Background
};

const defaultTheme = () => cloneDeep(merge(_colors, _sizes, _basics));
const transformTheme2CssVars = (theme) => {
  const result = {};
  let keys = [];
  const recursion = (option2) => {
    for (const k in option2) {
      const v = option2[k];
      const isObject = typeof v === "object";
      keys.push(k);
      if (isObject) {
        recursion(v);
        keys = [];
      } else {
        const key = kebabCase(keys.map((v2) => v2[0].toUpperCase() + v2.slice(1)).join("").trim());
        const value = v;
        key && (result[key] = value);
        keys.splice(keys.length - 1, 1);
      }
    }
  };
  recursion(theme);
  return result;
};
const mergeThemeOverrides = (theme, overridesTheme) => {
  const _theme = computed(() => merge(defaultTheme(), unref(theme)));
  const _overridesTheme = overridesTheme || inject("themeOverrides");
  return computed(() => merge(unref(_theme), unref(_overridesTheme)));
};
const useGlobalTheme = () => {
  const themeMerge = mergeThemeOverrides();
  return computed(() => themeMerge.value);
};
const useTheme = (identif) => {
  const themeMerge = useGlobalTheme();
  return computed(() => themeMerge.value[identif]);
};

const _withId$a = /* @__PURE__ */ withScopeId("data-v-4090dad8");
const __default__$1c = defineComponent({ name: "CalButton" });
var script$1d = defineComponent({
  ...__default__$1c,
  props: {
    ...AButton.props,
    size: Object,
    shape: {
      type: String,
      default: "round"
    }
  },
  setup(__props) {
    const props = __props;
    const wh = computed(() => analySize(props.size));
    useCssVars(() => wh.value);
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(AButton), mergeProps({ class: "cal-btn" }, props), {
        default: _withId$a(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$1d.__scopeId = "data-v-4090dad8";
script$1d.__file = "package/components/button/src/Button.vue";

const __default__$1b = defineComponent({ name: "CalQrCode" });
var script$1c = defineComponent({
  ...__default__$1b,
  props: {
    text: { type: String, required: true },
    size: { type: Number, required: true },
    colorDark: { type: String, default: "#000000" },
    colorLight: { type: String, default: "#ffffff" },
    margin: { type: Number, default: 6 }
  },
  setup(__props) {
    const props = __props;
    const qrCodeRef = ref();
    let qrcode;
    const resetQrCode = () => {
      if (!qrCodeRef.value)
        return;
      qrcode = new QRCode(qrCodeRef.value, {
        ...props,
        width: props.size - props.margin,
        height: props.size - props.margin
      });
    };
    onMounted(resetQrCode);
    watch(() => props.text, (value) => qrcode.makeCode(value));
    const watchList = [() => props.size, () => props.colorDark, () => props.colorLight];
    watch(watchList, resetQrCode);
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-qrcode-container",
        style: { backgroundColor: props.colorLight, padding: `${props.margin}px` }
      }, [
        createVNode("div", { ref: qrCodeRef }, null, 512)
      ], 4);
    };
  }
});

script$1c.__scopeId = "data-v-10a42510";
script$1c.__file = "package/components/qrcode/src/QrCode.vue";

const __default__$1a = defineComponent({ name: "CalGlobalStyle" });
var script$1b = defineComponent({
  ...__default__$1a,
  props: {
    root: {
      type: Object,
      default: document.documentElement
    }
  },
  setup(__props) {
    const props = __props;
    const root = toRef(props, "root");
    const globalTheme = useGlobalTheme();
    watch(globalTheme, (value) => {
      const cssVars = transformTheme2CssVars(value);
      for (const [key, value2] of Object.entries(cssVars)) {
        if (root.value.style.getPropertyPriority(`--${key}`) === value2)
          continue;
        root.value.style.removeProperty(`--${key}`);
        root.value.style.setProperty(`--${key}`, value2);
      }
    }, { deep: true, immediate: true });
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

script$1b.__file = "package/components/global-style/src/GlobalStyle.vue";

const __default__$19 = defineComponent({ name: "CalProvide" });
var script$1a = defineComponent({
  ...__default__$19,
  props: {
    id: {
      type: String,
      required: true
    },
    value: Object
  },
  setup(__props) {
    const props = __props;
    provide(props.id, props.value);
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

script$1a.__file = "package/components/_internal/src/Provide.vue";

const __default__$18 = defineComponent({ name: "CalProvides" });
var script$19 = defineComponent({
  ...__default__$18,
  props: {
    provides: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const provides = useVModel(props, "provides");
    for (const k in props.provides) {
      const v = computed(() => provides.value?.[k]);
      provide(k, v);
    }
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

script$19.__file = "package/components/_internal/src/Provides.vue";

var collapsed = "<svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M17.75 16C18.1642 16 18.5 16.3358 18.5 16.75C18.5 17.1642 18.1642 17.5 17.75 17.5H8.75C8.33579 17.5 8 17.1642 8 16.75C8 16.3358 8.33579 16 8.75 16H17.75ZM2.71967 11.2197L4.71967 9.21967C5.01256 8.92678 5.48744 8.92678 5.78033 9.21967C6.0466 9.48594 6.0708 9.9026 5.85295 10.1962L5.78033 10.2803L4.31066 11.75L5.78033 13.2197C6.07322 13.5126 6.07322 13.9874 5.78033 14.2803C5.51406 14.5466 5.0974 14.5708 4.80379 14.3529L4.71967 14.2803L2.71967 12.2803C2.4534 12.0141 2.4292 11.5974 2.64705 11.3038L2.71967 11.2197L4.71967 9.21967L2.71967 11.2197ZM20.75 11C21.1642 11 21.5 11.3358 21.5 11.75C21.5 12.1642 21.1642 12.5 20.75 12.5H8.75C8.33579 12.5 8 12.1642 8 11.75C8 11.3358 8.33579 11 8.75 11H20.75ZM17.75 6C18.1642 6 18.5 6.33579 18.5 6.75C18.5 7.16421 18.1642 7.5 17.75 7.5H8.75C8.33579 7.5 8 7.16421 8 6.75C8 6.33579 8.33579 6 8.75 6H17.75Z\" fill=\"currentColor\"/></svg>";
var clone = "<svg   viewBox=\"0 0 20 20\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13.8892 14.9497C14.1821 15.2426 14.6569 15.2426 14.9498 14.9497C15.2427 14.6569 15.2427 14.182 14.9498 13.8891L11.0607 10L14.9498 6.11091C15.2427 5.81802 15.2427 5.34315 14.9498 5.05025C14.6569 4.75736 14.1821 4.75736 13.8892 5.05025L10.0001 8.93934L6.11099 5.05025C5.8181 4.75736 5.34323 4.75736 5.05033 5.05025C4.75744 5.34315 4.75744 5.81802 5.05033 6.11091L8.93942 10L5.05033 13.8891C4.75744 14.182 4.75744 14.6569 5.05033 14.9497C5.34323 15.2426 5.8181 15.2426 6.11099 14.9497L10.0001 11.0607L13.8892 14.9497Z\" fill=\"currentColor\"/></svg>";
var increase = "<svg   viewBox=\"0 0 25 25\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M23.7998 11.7732H13.9598V1.93318C13.9598 1.32856 13.4711 0.839844 12.8665 0.839844C12.2619 0.839844 11.7732 1.32856 11.7732 1.93318V11.7732H1.93318C1.32856 11.7732 0.839844 12.2619 0.839844 12.8665C0.839844 13.4711 1.32856 13.9598 1.93318 13.9598H11.7732V23.7998C11.7732 24.4045 12.2619 24.8932 12.8665 24.8932C13.4711 24.8932 13.9598 24.4045 13.9598 23.7998V13.9598H23.7998C24.4045 13.9598 24.8932 13.4711 24.8932 12.8665C24.8932 12.2619 24.4045 11.7732 23.7998 11.7732Z\" fill=\"currentColor\"/></svg>";
var yes = "<svg   viewBox=\"0 0 16 16\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14.0458 3.4856C14.3299 3.78703 14.3158 4.26169 14.0144 4.54579L6.08456 12.0197C5.74829 12.3366 5.22042 12.3269 4.89609 11.9977L2.21576 9.27737C1.92504 8.98231 1.92856 8.50745 2.22361 8.21674C2.51867 7.92602 2.99353 7.92954 3.28424 8.22459L5.51839 10.4921L12.9856 3.45421C13.287 3.17011 13.7617 3.18416 14.0458 3.4856Z\" fill=\"currentColor\"/></svg>";
var date = "<svg   viewBox=\"0 0 20 20\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7 11C7.55228 11 8 10.5523 8 10C8 9.44771 7.55228 9 7 9C6.44772 9 6 9.44771 6 10C6 10.5523 6.44772 11 7 11ZM8 13C8 13.5523 7.55228 14 7 14C6.44772 14 6 13.5523 6 13C6 12.4477 6.44772 12 7 12C7.55228 12 8 12.4477 8 13ZM10 11C10.5523 11 11 10.5523 11 10C11 9.44771 10.5523 9 10 9C9.44771 9 9 9.44771 9 10C9 10.5523 9.44771 11 10 11ZM11 13C11 13.5523 10.5523 14 10 14C9.44771 14 9 13.5523 9 13C9 12.4477 9.44771 12 10 12C10.5523 12 11 12.4477 11 13ZM13 11C13.5523 11 14 10.5523 14 10C14 9.44771 13.5523 9 13 9C12.4477 9 12 9.44771 12 10C12 10.5523 12.4477 11 13 11ZM17 5.5C17 4.11929 15.8807 3 14.5 3H5.5C4.11929 3 3 4.11929 3 5.5V14.5C3 15.8807 4.11929 17 5.5 17H14.5C15.8807 17 17 15.8807 17 14.5V5.5ZM4 7H16V14.5C16 15.3284 15.3284 16 14.5 16H5.5C4.67157 16 4 15.3284 4 14.5V7ZM5.5 4H14.5C15.3284 4 16 4.67157 16 5.5V6H4V5.5C4 4.67157 4.67157 4 5.5 4Z\" fill=\"currentColor\"/></svg>";
var examples = "<svg   viewBox=\"0 0 20 20\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M9.25 14.2554C9.25 14.6696 9.58578 15.0054 10 15.0054C10.4142 15.0054 10.75 14.6696 10.75 14.2554C10.75 13.8412 10.4142 13.5054 10 13.5054C9.58578 13.5054 9.25 13.8412 9.25 14.2554Z\" fill=\"currentColor\"/><path d=\"M10 17C6.14 17 3 13.86 3 10C3 6.14 6.14 3 10 3C13.86 3 17 6.14 17 10C17 13.86 13.86 17 10 17ZM10 4.00448C6.694 4.00448 4.00448 6.694 4.00448 10C4.00448 13.3055 6.694 15.9955 10 15.9955C13.3055 15.9955 15.9955 13.3055 15.9955 10C15.9955 6.694 13.3055 4.00448 10 4.00448Z\" fill=\"currentColor\"/><path d=\"M10 12.5265C9.72398 12.5265 9.5 12.3025 9.5 12.0265V11.181C9.5 10.363 10.125 9.73805 10.677 9.18655C11.0815 8.78155 11.5 8.36355 11.5 8.03005C11.5 7.19655 10.827 6.51855 10 6.51855C9.15902 6.51855 8.5 7.16755 8.5 7.99605C8.5 8.27205 8.27602 8.49604 8 8.49604C7.72398 8.49604 7.5 8.27204 7.5 7.99604C7.5 6.63005 8.62147 5.51855 10 5.51855C11.3785 5.51855 12.5 6.64505 12.5 8.03005C12.5 8.77855 11.9325 9.34553 11.384 9.89405C10.949 10.328 10.5 10.777 10.5 11.1805V12.026C10.5 12.302 10.276 12.5265 10 12.5265Z\" fill=\"currentColor\"/></svg>";
var theme = "<svg fill=\"currentColor\" t=\"1627613673440\" class=\"icon\" viewBox=\"0 0 1024 1024\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" p-id=\"6069\"  ><path d=\"M512 65.4c-327 0-448 285.2-448 445.1 0 159.9 116.3 448 438.5 448 0 0 80.1 1.4 80.1-70.6s-36-49-36-100.8c0-51.9 36-74.9 53.3-74.9 17.3 0 131.1 8.6 194.5-15.9C857.7 671.9 960 594.1 960 461.6c0-116.7-121-396.2-448-396.2zM238.9 512c-43 0-77.8-34.8-77.8-77.8s34.8-77.8 77.8-77.8 77.8 34.8 77.8 77.8c-0.1 43-34.9 77.8-77.8 77.8z m146.7-192.5c-43 0-77.8-34.8-77.8-77.8s34.8-77.8 77.8-77.8c42.9 0 77.8 34.8 77.8 77.8s-34.8 77.8-77.8 77.8z m249.5 0c-42.9 0-77.8-34.8-77.8-77.8s34.8-77.8 77.8-77.8c42.9 0 77.8 34.8 77.8 77.8s-34.8 77.8-77.8 77.8zM783.2 512c-42.9 0-77.8-34.8-77.8-77.8s34.8-77.8 77.8-77.8 77.8 34.8 77.8 77.8c0.1 43-34.8 77.8-77.8 77.8z\" fill=\"currentColor\" p-id=\"6070\"></path></svg>";
var warning = "<svg   viewBox=\"0 0 48 48\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M48 24C48 37.2548 37.2548 48 24 48C10.7452 48 0 37.2548 0 24C0 10.7452 10.7452 0 24 0C37.2548 0 48 10.7452 48 24ZM25.5999 37.5999C25.5999 36.7163 24.8836 35.9999 23.9999 35.9999C23.1162 35.9999 22.3999 36.7163 22.3999 37.5999C22.3999 38.4836 23.1162 39.1999 23.9999 39.1999C24.8836 39.1999 25.5999 38.4836 25.5999 37.5999ZM24 33.5997C23.1163 33.5997 22.4 32.8834 22.4 31.9997V11.1997C22.4 10.3161 23.1163 9.59973 24 9.59973C24.8837 9.59973 25.6 10.3161 25.6 11.1997V31.9997C25.6 32.8834 24.8837 33.5997 24 33.5997Z\" fill=\"currentColor\"/></svg>";
var option$1 = {
	collapsed: collapsed,
	"up-arrow": "<svg   viewBox=\"0 0 20 20\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14.2032 13C15.0439 13 15.5094 12.0257 14.9811 11.3717L11.1667 6.649C10.5663 5.90567 9.43323 5.90567 8.83285 6.649L5.01839 11.3717C4.49016 12.0257 4.95565 13 5.79633 13L14.2032 13Z\" fill=\"currentColor\"/></svg>",
	clone: clone,
	increase: increase,
	"step-highlight": "<svg   viewBox=\"0 0 40 40\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M20 0C31.0457 0 40 8.9543 40 20C40 31.0457 31.0457 40 20 40C8.9543 40 0 31.0457 0 20C0 8.9543 8.9543 0 20 0ZM26.4393 13.9393L17.5 22.8787L13.5607 18.9393C12.9749 18.3536 12.0251 18.3536 11.4393 18.9393C10.8536 19.5251 10.8536 20.4749 11.4393 21.0607L16.4393 26.0607C17.0251 26.6464 17.9749 26.6464 18.5607 26.0607L28.5607 16.0607C29.1464 15.4749 29.1464 14.5251 28.5607 13.9393C27.9749 13.3536 27.0251 13.3536 26.4393 13.9393Z\" fill=\"currentColor\"/></svg>",
	yes: yes,
	"up-arrow-2": "<svg   viewBox=\"0 0 8 12\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M3.75001 9.37811e-06C3.51478 9.37811e-06 3.30484 0.108303 3.16733 0.277754L0.221623 3.22346C-0.0712702 3.51636 -0.0712702 3.99123 0.221623 4.28412C0.514516 4.57702 0.989389 4.57702 1.28228 4.28412L3.00001 2.5664V11.25C3.00001 11.6642 3.3358 12 3.75001 12C4.16422 12 4.50001 11.6642 4.50001 11.25V2.5559L6.23275 4.28864C6.52564 4.58153 7.00052 4.58153 7.29341 4.28864C7.5863 3.99575 7.5863 3.52087 7.29341 3.22798L4.2851 0.21967C4.1377 0.072267 3.9432 -0.000953745 3.75001 9.37811e-06Z\" fill=\"currentColor\"/></svg>",
	date: date,
	"step-not": "<svg   viewBox=\"0 0 40 40\" fill=\"currentColor\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M20 0C9 0 0 9 0 20C0 31 9 40 20 40C31 40 40 31 40 20C40 9 31 0 20 0ZM20 37C10.6 37 3 29.4 3 20C3 10.6 10.6 3 20 3C29.4 3 37 10.6 37 20C37 29.4 29.4 37 20 37Z\" fill=\"currentColor\"/><path d=\"M20 23C21.6569 23 23 21.6569 23 20C23 18.3431 21.6569 17 20 17C18.3431 17 17 18.3431 17 20C17 21.6569 18.3431 23 20 23Z\" fill=\"currentColor\"/></svg>",
	examples: examples,
	theme: theme,
	warning: warning
};

const __default__$17 = defineComponent({ name: "CalIcon" });
var script$18 = defineComponent({
  ...__default__$17,
  props: {
    type: String,
    size: [String, Number],
    color: String,
    svgSize: Boolean,
    svgContent: String
  },
  setup(__props) {
    const props = __props;
    const svgCotnent = computed(() => {
      return props.svgContent || option$1[props.type];
    });
    const width = computed(() => {
      const value = svgCotnent.value?.match(/width="(?<width>\w*%?)"/)?.groups?.width || "";
      return props.svgSize && analyUnit(value) || "";
    });
    computed(() => {
      const value = svgCotnent.value?.match(/height="(?<height>\w*%?)"/)?.groups?.height || "";
      return props.svgSize && analyUnit(value) || "";
    });
    const size = computed(() => {
      return props.svgSize ? width.value || props.size : props.size || width.value;
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NIcon), mergeProps({ class: "cal-icon" }, props, {
        size: unref(size),
        innerHTML: unref(svgCotnent)
      }), null, 16, ["size", "innerHTML"]);
    };
  }
});

script$18.__file = "package/components/icon/src/Icon.vue";

const _hoisted_1$r = { class: "flex items-center" };
const _hoisted_2$k = { class: "flex-1" };
const _hoisted_3$a = { class: "flex items-center justify-center" };
const _hoisted_4$6 = { class: "text-xl font-semibold" };
const _hoisted_5$5 = { class: "text-center" };
const __default__$16 = defineComponent({ name: "CalDialog" });
var script$17 = defineComponent({
  ...__default__$16,
  props: {
    type: {
      type: String,
      default: "confirm"
    },
    title: String,
    content: String,
    description: String,
    modelValue: Boolean,
    customBackground: {
      type: String
    },
    onVanish: Function,
    onResolve: Function,
    onReject: Function,
    closable: {
      type: Boolean,
      default: true
    },
    showCancel: {
      type: Boolean,
      default: true
    },
    showFooter: {
      type: Boolean,
      default: true
    },
    onOk: Function,
    confirmText: {
      type: String,
      default: "\u786E\u8BA4"
    },
    cancelText: {
      type: String,
      default: "\u53D6\u6D88"
    }
  },
  emits: ["cancel"],
  setup(__props, { emit }) {
    const props = __props;
    const showModal = isRef(props.modelValue) ? props.modelValue : useVModel(props, "modelValue");
    watch(showModal, (value) => {
      if (value)
        return false;
      setTimeout(() => props.onVanish?.(), 300);
    });
    const onClone = () => {
      emit("cancel", false);
      props.onReject?.();
      showModal.value = false;
      console.log(showModal.value);
    };
    const onConfirm = () => {
      props.onResolve?.();
      const result = props?.onOk?.();
      if (result instanceof Promise) {
        result.then(() => showModal.value = false);
      } else {
        showModal.value = false;
      }
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(AModal), mergeProps({
        "dialog-class": "cal-message-diolog",
        class: { "hide-footer": !__props.showFooter }
      }, props, {
        visible: unref(showModal),
        onOk: onConfirm,
        onCancel: onClone
      }), {
        title: withCtx(() => [
          renderSlot(_ctx.$slots, "title")
        ]),
        footer: withCtx(() => [
          _ctx.$slots["footer"] ? renderSlot(_ctx.$slots, "footer", { key: 0 }) : (openBlock(), createBlock(Fragment, { key: 1 }, [
            __props.showCancel ? (openBlock(), createBlock(script$1d, {
              key: 0,
              class: "mr-20 w-96 h-32",
              onClick: onClone
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(__props.cancelText), 1)
              ]),
              _: 1
            })) : createCommentVNode("v-if", true),
            createVNode(script$1d, {
              type: "primary ",
              class: "w-96 h-32",
              onClick: onConfirm
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(__props.confirmText), 1)
              ]),
              _: 1
            })
          ], 64))
        ]),
        default: withCtx(() => [
          __props.closable ? (openBlock(), createBlock(script$18, {
            key: 0,
            class: ["cursor-pointer align-middle px-4 absolute", [_ctx.$slots["title"] || props.title ? "text-white" : "text-black"]],
            style: { "right": "24px", "top": "20px" },
            type: "clone",
            onClick: onClone,
            size: "26"
          }, null, 8, ["class"])) : createCommentVNode("v-if", true),
          _ctx.$slots["default"] || __props.content || _ctx.$slots["description"] || __props.description ? (openBlock(), createBlock("div", {
            key: 1,
            class: ["cal-message-diolog__content", [__props.customBackground ? "red" : "bg-white"]],
            style: { backgroundColor: __props.customBackground }
          }, [
            createCommentVNode(" \u8B66\u544A "),
            __props.type === "warning" ? (openBlock(), createBlock(Fragment, { key: 0 }, [
              createVNode("div", _hoisted_1$r, [
                createCommentVNode(' <i class="nr-warning text-red text-5xl mr-20" /> '),
                createVNode(script$18, {
                  type: "warning",
                  class: "text-5xl mr-20",
                  style: { "color": "red" }
                }),
                createVNode("div", _hoisted_2$k, [
                  __props.content ? (openBlock(), createBlock("div", {
                    key: 0,
                    innerHTML: __props.content
                  }, null, 8, ["innerHTML"])) : createCommentVNode("v-if", true),
                  renderSlot(_ctx.$slots, "default")
                ])
              ]),
              createVNode("div", null, [
                __props.description ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: "mt-28 mb-10",
                  innerHTML: __props.description
                }, null, 8, ["innerHTML"])) : createCommentVNode("v-if", true),
                renderSlot(_ctx.$slots, "description")
              ])
            ], 64)) : __props.type === "success" ? (openBlock(), createBlock(Fragment, { key: 1 }, [
              createCommentVNode(" \u6210\u529F "),
              createVNode("div", _hoisted_3$a, [
                createCommentVNode(' <i class="nr-after text-green text-4xl mr-10" /> '),
                createVNode(script$18, {
                  type: "step-highlight",
                  class: "text-4xl mr-10",
                  style: { "color": "#1ad370" }
                }),
                createVNode("div", _hoisted_4$6, [
                  __props.content ? (openBlock(), createBlock("div", {
                    key: 0,
                    innerHTML: __props.content
                  }, null, 8, ["innerHTML"])) : createCommentVNode("v-if", true),
                  renderSlot(_ctx.$slots, "default")
                ])
              ]),
              createVNode("div", _hoisted_5$5, [
                __props.description ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: "mt-28 mb-10",
                  innerHTML: __props.description
                }, null, 8, ["innerHTML"])) : createCommentVNode("v-if", true),
                renderSlot(_ctx.$slots, "description")
              ])
            ], 64)) : (openBlock(), createBlock(Fragment, { key: 2 }, [
              createCommentVNode(" \u5176\u4ED6 "),
              _ctx.$slots["default"] ? renderSlot(_ctx.$slots, "default", { key: 0 }) : createCommentVNode("v-if", true),
              createTextVNode(" " + toDisplayString(__props.content), 1)
            ], 64))
          ], 6)) : createCommentVNode("v-if", true)
        ]),
        _: 3
      }, 16, ["class", "visible"]);
    };
  }
});

script$17.__file = "package/components/modal/src/Dialog.vue";

const __default__$15 = defineComponent({ name: "CalNprogress" });
var script$16 = defineComponent({
  ...__default__$15,
  props: {
    option: Object,
    router: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    watchEffect(() => {
      if (!props.option)
        return void 0;
      nProgress.configure(props.option);
    });
    props.router.beforeEach((to, from, next) => {
      nProgress.start();
      next();
    });
    props.router.afterEach(() => {
      nProgress.done();
    });
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

script$16.__file = "package/components/nprogress/src/Nprogress.vue";

const CalModel = (props) => {
  return new Promise((resolve, reject) => {
    renderInstance(script$17, {
      ...props,
      modelValue: ref(true),
      onResolve: resolve,
      onReject: reject
    });
  });
};
CalModel.confirm = (props) => {
  return CalModel({ ...props, type: "confirm" });
};
CalModel.warning = (props) => {
  return CalModel({ ...props, type: "warning" });
};
CalModel.success = (props) => {
  return CalModel({ ...props, type: "success" });
};

ECharts.name = "cal-echarts";

Form.name = "CalForm";

const inheritProps = (Component) => {
  const props = Component["props"];
  return props;
};
const randomString = (size = 5) => {
  let stringLength;
  stringLength = size > 9 ? 9 : size;
  stringLength = size < 1 ? 1 : size;
  const randomString2 = Math.random().toString(36);
  return randomString2.slice(stringLength * -1, randomString2.length);
};

const __default__$14 = defineComponent({ name: "CalSlider" });
var script$15 = defineComponent({
  ...__default__$14,
  props: {
    ...inheritProps(NSlider),
    modelValue: Number
  },
  setup(__props) {
    const props = __props;
    const num = useVModel(props, "modelValue");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NSlider), mergeProps({ class: "cal-slider" }, props, {
        "theme-overrides": {
          handleSize: "16px",
          railHeight: "10px",
          fillColor: "var(--common-primary-color-light-4)",
          fillColorHover: "var(--common-primary-color)",
          handleColor: "var(--common-primary-color)",
          railColor: "#F5F5F5"
        },
        value: unref(num),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(num) ? num.value = $event : null)
      }), null, 16, ["theme-overrides", "value"]);
    };
  }
});

script$15.__scopeId = "data-v-5eccf778";
script$15.__file = "package/components/slider/src/Slider.vue";

NResult.name = "CalResult";

Form.Item.name = "CalFormItem";
var FormItem = Form.Item;

const _withId$9 = /* @__PURE__ */ withScopeId("data-v-384bba02");
pushScopeId("data-v-384bba02");
const _hoisted_1$q = { class: "cal-perfect-scrollbar relative" };
const _hoisted_2$j = {
  key: 0,
  class: "cal-perfect-scrollbar__content w-full h-full overflow-auto"
};
popScopeId();
const __default__$13 = defineComponent({ name: "CalPerfectScrollbar" });
var script$14 = defineComponent({
  ...__default__$13,
  props: {
    ...PerfectScrollbar.props,
    original: Boolean
  },
  emits: [
    "ps-scroll-y",
    "ps-scroll-x",
    "ps-scroll-up",
    "ps-scroll-down",
    "ps-scroll-left",
    "ps-scroll-right",
    "ps-y-reach-start",
    "ps-y-reach-end",
    "ps-x-reach-start",
    "ps-x-reach-end"
  ],
  setup(__props, { emit }) {
    const props = __props;
    const perfectScrollbarRef = ref();
    const events = [
      "ps-scroll-y",
      "ps-scroll-x",
      "ps-scroll-up",
      "ps-scroll-down",
      "ps-scroll-left",
      "ps-scroll-right",
      "ps-y-reach-start",
      "ps-y-reach-end",
      "ps-x-reach-start",
      "ps-x-reach-end"
    ].reduce((total, ekey) => {
      total[`on${capitalize(ekey)}`] = (...args) => emit(ekey, ...args);
      return total;
    }, {});
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$q, [
        __props.original ? (openBlock(), createBlock("div", _hoisted_2$j, [
          renderSlot(_ctx.$slots, "default")
        ])) : (openBlock(), createBlock(unref(PerfectScrollbar), mergeProps({
          key: 1,
          class: "cal-perfect-scrollbar__content w-full h-full",
          ref: perfectScrollbarRef
        }, { ...props, ...unref(events) }, { "onps-scroll-y": "$outEvents" }), {
          default: _withId$9(() => [
            renderSlot(_ctx.$slots, "default")
          ]),
          _: 3
        }, 16))
      ]);
    };
  }
});

script$14.__scopeId = "data-v-384bba02";
script$14.__file = "package/components/perfect-scrollbar/src/PerfectScrollbar.vue";

const _hoisted_1$p = { class: "flex justify-center" };
const _hoisted_2$i = /* @__PURE__ */ createTextVNode(" \u53D6\u6D88 ");
const _hoisted_3$9 = /* @__PURE__ */ createTextVNode(" \u4E0A\u4E00\u6B65 ");
const __default__$12 = defineComponent({ name: "CalButtonProgress" });
var script$13 = defineComponent({
  ...__default__$12,
  props: {
    modelValue: {
      type: Number,
      default: 0
    },
    max: {
      type: Number,
      default: 0
    },
    showComplete: {
      type: Boolean,
      default: true
    },
    completeText: {
      type: String,
      default: "\u4FDD\u5B58"
    },
    openLastStep: {
      type: Boolean,
      default: true
    }
  },
  emits: ["prev", "next", "cancel", "complete"],
  setup(__props, { emit }) {
    const props = __props;
    const current = useVModel(props, "modelValue");
    const isLessThan = computed(() => current.value < props.max);
    const onNextTick = () => {
      if (!isLessThan.value) {
        return emit("complete");
      }
      current.value++;
      emit("next", current.value);
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$p, [
        __props.openLastStep && __props.modelValue == 0 ? (openBlock(), createBlock(script$1d, {
          key: 0,
          class: "w-176 h-48 mr-56 text-base",
          onClick: _cache[1] || (_cache[1] = ($event) => emit("cancel"))
        }, {
          default: withCtx(() => [
            _hoisted_2$i
          ]),
          _: 1
        })) : (openBlock(), createBlock(script$1d, {
          key: 1,
          class: "w-176 h-48 mr-56 text-base",
          onClick: _cache[2] || (_cache[2] = ($event) => (current.value--, emit("prev")))
        }, {
          default: withCtx(() => [
            _hoisted_3$9
          ]),
          _: 1
        })),
        __props.showComplete || unref(isLessThan) && !__props.showComplete ? (openBlock(), createBlock(script$1d, {
          key: 2,
          class: "w-176 h-48 text-base",
          type: "primary",
          onClick: onNextTick
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString(unref(isLessThan) ? "\u4E0B\u4E00\u6B65" : __props.completeText), 1)
          ]),
          _: 1
        })) : createCommentVNode("v-if", true)
      ]);
    };
  }
});

script$13.__file = "package/components/button/src/ButtonProgress.vue";

const option = {
  skin: "/public/static/tinymce/skins",
  content_css: "/public/static/tinymce/skins/ui/oxide/content.css",
  language_url: "https://client-static-1254212114.cos.ap-guangzhou.myqcloud.com/script/tinymce_zh_CN.js",
  language: "zh_CN",
  plugins: [
    "advlist anchor autolink autosave code codesample colorpicker contextmenu directionality fullscreen hr image",
    "imagetools insertdatetime link lists nonbreaking noneditable pagebreak paste preview print save searchreplace",
    "spellchecker tabfocus table template textcolor textpattern visualblocks visualchars wordcount"
  ],
  toolbar: [
    "searchreplace bold italic underline strikethrough alignleft aligncenter alignright outdent indent blockquote undo redo removeformat subscript superscript code codesample image",
    "hr bullist numlist link charmap preview anchor pagebreak insertdatetime table forecolor backcolor fullscreen"
  ],
  valid_elements: "p[style|class],a[style|class],abbr[style|class],b[style|class],blockquote[style|class],br[style|class],code[style|class],col[style|class|span|width],colgroup[style|class|span|width],dd[style|class],del[style|class],div[style|class],dl[style|class],dt[style|class],em[style|class],fieldset[style|class],h1[style|class],h2[style|class],h3[style|class],h4[style|class],h5[style|class],h6[style|class],hr[style|class],i[style|class],img[style|class|alt|src|height|width],ins[style|class],label[style|class],legend[style|class],li[style|class],ol[style|class|start|type],p[style|class],q[style|class],span[style|class],strong[style|class],sub[style|class],sup[style|class],table[style|class|width],tbody[style|class],td[style|class|colspan|height|rowspan|width],tfoot[style|class],th[style|class|colspan|height|rowspan|width],thead[style|class],tr[style|class],ul[style|class]",
  paste_as_text: true,
  plugin_preview_height: 670,
  plugin_preview_width: 370,
  entities: "nbsp,160,iexcl,161,cent,162,pound,163,curren,164,yen,165,brvbar,166,sect,167,uml,168,copy,169,ordf,170,laquo,171,not,172,shy,173,reg,174,macr,175,deg,176,plusmn,177,sup2,178,sup3,179,acute,180,micro,181,para,182,middot,183,cedil,184,sup1,185,ordm,186,raquo,187,frac14,188,frac12,189,frac34,190,iquest,191,Agrave,192,Aacute,193,Acirc,194,Atilde,195,Auml,196,Aring,197,AElig,198,Ccedil,199,Egrave,200,Eacute,201,Ecirc,202,Euml,203,Igrave,204,Iacute,205,Icirc,206,Iuml,207,ETH,208,Ntilde,209,Ograve,210,Oacute,211,Ocirc,212,Otilde,213,Ouml,214,times,215,Oslash,216,Ugrave,217,Uacute,218,Ucirc,219,Uuml,220,Yacute,221,THORN,222,szlig,223,agrave,224,aacute,225,acirc,226,atilde,227,auml,228,aring,229,aelig,230,ccedil,231,egrave,232,eacute,233,ecirc,234,euml,235,igrave,236,iacute,237,icirc,238,iuml,239,eth,240,ntilde,241,ograve,242,oacute,243,ocirc,244,otilde,245,ouml,246,divide,247,oslash,248,ugrave,249,uacute,250,ucirc,251,uuml,252,yacute,253,thorn,254,yuml,255,fnof,402,Alpha,913,Beta,914,Gamma,915,Delta,916,Epsilon,917,Zeta,918,Eta,919,Theta,920,Iota,921,Kappa,922,Lambda,923,Mu,924,Nu,925,Xi,926,Omicron,927,Pi,928,Rho,929,Sigma,931,Tau,932,Upsilon,933,Phi,934,Chi,935,Psi,936,Omega,937,alpha,945,beta,946,gamma,947,delta,948,epsilon,949,zeta,950,eta,951,theta,952,iota,953,kappa,954,lambda,955,mu,956,nu,957,xi,958,omicron,959,pi,960,rho,961,sigmaf,962,sigma,963,tau,964,upsilon,965,phi,966,chi,967,psi,968,omega,969,thetasym,977,upsih,978,piv,982,bull,8226,hellip,8230,prime,8242,Prime,8243,oline,8254,frasl,8260,weierp,8472,image,8465,real,8476,trade,8482,alefsym,8501,larr,8592,uarr,8593,rarr,8594,darr,8595,harr,8596,crarr,8629,lArr,8656,uArr,8657,rArr,8658,dArr,8659,hArr,8660,forall,8704,part,8706,exist,8707,empty,8709,nabla,8711,isin,8712,notin,8713,ni,8715,prod,8719,sum,8721,minus,8722,lowast,8727,radic,8730,prop,8733,infin,8734,ang,8736,and,8743,or,8744,cap,8745,cup,8746,int,8747,there4,8756,sim,8764,cong,8773,asymp,8776,ne,8800,equiv,8801,le,8804,ge,8805,sub,8834,sup,8835,nsub,8836,sube,8838,supe,8839,oplus,8853,otimes,8855,perp,8869,sdot,8901,lceil,8968,rceil,8969,lfloor,8970,rfloor,8971,lang,9001,rang,9002,loz,9674,spades,9824,clubs,9827,hearts,9829,diams,9830,OElig,338,oelig,339,Scaron,352,scaron,353,Yuml,376,circ,710,tilde,732,ensp,8194,emsp,8195,thinsp,8201,zwnj,8204,zwj,8205,lrm,8206,rlm,8207,ndash,8211,mdash,8212,lsquo,8216,rsquo,8217,sbquo,8218,ldquo,8220,rdquo,8221,bdquo,8222,dagger,8224,Dagger,8225,permil,8240,lsaquo,8249,rsaquo,8250,euro,8364,"
};

const _hoisted_1$o = { class: "cal-editor" };
const __default__$11 = defineComponent({ name: "CalEditor" });
var script$12 = defineComponent({
  ...__default__$11,
  props: {
    modelValue: {
      type: String
    },
    disabled: Boolean,
    init: {
      type: Object,
      default: option
    }
  },
  setup(__props) {
    const props = __props;
    const content = useVModel(props, "modelValue");
    const option = computed(() => {
      const required = {
        skin: "/public/static/tinymce/skins",
        content_css: "/public/static/tinymce/skins/ui/oxide/content.css",
        language_url: "https://client-static-1254212114.cos.ap-guangzhou.myqcloud.com/script/tinymce_zh_CN.js",
        language: "zh_CN"
      };
      return merge(required, props.init);
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$o, [
        __props.disabled ? (openBlock(), createBlock("iframe", {
          key: 0,
          class: "cal-editor--disabled h-full w-full",
          srcdoc: unref(content)
        }, null, 8, ["srcdoc"])) : (openBlock(), createBlock(unref(TinymceEditor), {
          key: 1,
          class: "h-full w-full",
          "api-key": "aes3zocor6cpx2x0geyur75jd26mo4y2bnfr12afozutujiw",
          init: unref(option),
          modelValue: unref(content),
          "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => isRef(content) ? content.value = $event : null)
        }, null, 8, ["init", "modelValue"]))
      ]);
    };
  }
});

script$12.__file = "package/components/editor/src/Editor.vue";

Breadcrumb.name = "CalBreadcrumb";

Breadcrumb.Item.name = "CalBreadcrumbItem";
var BreadcrumbItem = Breadcrumb.Item;

const __default__$10 = defineComponent({ name: "CalColorElPickr" });
var script$11 = defineComponent({
  ...__default__$10,
  props: {
    modelValue: String,
    dynamic: {
      type: Boolean,
      default: false
    },
    showAlpha: Boolean
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const color = computed({
      get: () => props.modelValue,
      set: (value) => emit("update:modelValue", value)
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ElColorPicker), {
        class: "color-puckr-container",
        modelValue: unref(color),
        "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => isRef(color) ? color.value = $event : null),
        showAlpha: __props.showAlpha
      }, null, 8, ["modelValue", "showAlpha"]);
    };
  }
});

script$11.__file = "package/components/color-pickr/src/ColorElPickr.vue";

const __default__$$ = defineComponent({ name: "CalTag" });
var script$10 = defineComponent({
  ...__default__$$,
  props: {
    ...ATag.props,
    color: {
      type: String,
      default: "var(--common-primary-color)"
    }
  },
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ATag), mergeProps(props, { class: "cal-tag" }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$10.__file = "package/components/tag/src/Tag.vue";

const _hoisted_1$n = /* @__PURE__ */ createTextVNode("\u91CD\u7F6E");
const _hoisted_2$h = /* @__PURE__ */ createTextVNode("\u786E\u8BA4");
const __default__$_ = defineComponent({ name: "CalColorNPickr" });
var script$$ = defineComponent({
  ...__default__$_,
  props: {
    ...inheritProps(NColorPicker),
    control: Boolean,
    modelValue: String
  },
  setup(__props) {
    const props = __props;
    const oldColor = ref("");
    const color = useVModel(props, "modelValue", void 0, { passive: true });
    const show = useVModel(props, "show", void 0, { passive: true });
    watch(() => show.value, (value) => {
      if (props.control && value)
        oldColor.value = color.value || "";
      if (props.control && !value)
        color.value = oldColor.value;
      console.log(oldColor.value);
    });
    const onConfirm = () => {
      oldColor.value = color.value || "";
      show.value = false;
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NColorPicker), mergeProps(props, {
        value: unref(color),
        "onUpdate:value": _cache[2] || (_cache[2] = ($event) => isRef(color) ? color.value = $event : null),
        show: unref(show),
        "onUpdate:show": _cache[3] || (_cache[3] = ($event) => isRef(show) ? show.value = $event : null)
      }), createSlots({ _: 2 }, [
        _ctx.$slots["action"] || __props.control ? {
          name: "action",
          fn: withCtx(() => [
            renderSlot(_ctx.$slots, "action"),
            __props.control ? (openBlock(), createBlock(Fragment, { key: 0 }, [
              createVNode(script$10, {
                class: "cursor-pointer px-10",
                color: "",
                onClick: _cache[1] || (_cache[1] = ($event) => color.value = oldColor.value)
              }, {
                default: withCtx(() => [
                  _hoisted_1$n
                ]),
                _: 1
              }),
              createVNode(script$10, {
                class: "cursor-pointer px-10 mr-0",
                onClick: onConfirm
              }, {
                default: withCtx(() => [
                  _hoisted_2$h
                ]),
                _: 1
              })
            ], 64)) : createCommentVNode("v-if", true)
          ])
        } : void 0
      ]), 1040, ["value", "show"]);
    };
  }
});

script$$.__file = "package/components/color-pickr/src/ColorNPickr.vue";

const __default__$Z = defineComponent({ name: "CalColorFullPickr" });
var script$_ = defineComponent({
  ...__default__$Z,
  props: {
    modelValue: String,
    width: {
      type: [String, Number],
      default: 150
    },
    height: {
      type: [String, Number],
      default: 100
    }
  },
  setup(__props) {
    const props = __props;
    const style = computed(() => ({
      width: analyUnit(props.width),
      height: analyUnit(props.height)
    }));
    const color = useVModel(props, "modelValue");
    return (_ctx, _cache) => {
      const _component_hex_color_picker = resolveComponent("hex-color-picker");
      return openBlock(), createBlock(_component_hex_color_picker, {
        style: unref(style),
        color: unref(color),
        onColorChanged: _cache[1] || (_cache[1] = ($event) => color.value = $event.detail.value)
      }, null, 8, ["style", "color"]);
    };
  }
});

script$_.__file = "package/components/color-pickr/src/ColorFullPickr.vue";

const __default__$Y = defineComponent({ name: "CalColorSimonwepPickr" });
var script$Z = defineComponent({
  ...__default__$Y,
  props: {
    width: {
      type: String,
      default: "50px"
    },
    height: {
      type: String,
      default: "50px"
    },
    modelValue: String,
    dynamic: {
      type: Boolean,
      default: false
    }
  },
  emits: [
    "change",
    "update:modelValue",
    "cancel",
    "clear",
    "hide",
    "show",
    "save"
  ],
  setup(__props, { emit }) {
    const props = __props;
    const colorPickrEl = ref();
    const colorPickContainer = ref();
    onMounted(() => {
      if (!colorPickrEl.value)
        return false;
      const pickr = Pickr.create({
        el: colorPickrEl.value,
        theme: "monolith",
        swatches: [
          "#F44336",
          "#E91E63",
          "#9C27B0",
          "#673AB7",
          "#3F51B5",
          "#2196F3",
          "#03A9F4",
          "#00BCD4",
          "#009688",
          "#4CAF50",
          "#8BC34A",
          "#CDDC39",
          "#FFEB3B",
          "#FFC107"
        ],
        default: "#ffffff",
        components: {
          preview: true,
          opacity: true,
          hue: true,
          interaction: { hex: true, input: true, save: true }
        },
        defaultRepresentation: "RGBA"
      });
      pickr.on("init", () => {
        const pickrButton = colorPickContainer.value?.querySelector("button");
        if (!pickrButton)
          return false;
        pickrButton.style.transition = "none";
        pickr.setColor(props.modelValue || "#ffffff");
        pickrButton.style.transition = "all .3s";
      });
      pickr.on("change", () => {
        emit("change", pickr.getColor());
        if (props.dynamic) {
          emit("update:modelValue", pickr.getColor().toHEXA().toString());
        }
      });
      pickr.on("cancel", () => emit("cancel", pickr.getColor()));
      pickr.on("clear", () => emit("clear", pickr.getColor()));
      pickr.on("hide", () => emit("hide"));
      pickr.on("show", () => emit("show"));
      pickr.on("save", () => {
        if (pickr.getColor().toHEXA().toString() == props.modelValue)
          return;
        emit("save", pickr.getColor());
        emit("update:modelValue", pickr.getColor().toHEXA().toString().toLocaleLowerCase());
      });
      watch(() => props.modelValue, (value) => {
        value && pickr.setColor(value);
      });
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "color-puckr-container",
        ref: colorPickContainer,
        style: { width: __props.width, height: __props.height }
      }, [
        createVNode("div", { ref: colorPickrEl }, null, 512)
      ], 4);
    };
  }
});

script$Z.__file = "package/components/color-pickr/src/ColorSimonwepPickr.vue";

NDescriptions.name = "CalDescriptions";

NDescriptionsItem.name = "CalDescriptionsItem";

pushScopeId("data-v-2c3c6643");
const _hoisted_1$m = { class: "cal-config-provider" };
popScopeId();
const __default__$X = defineComponent({ name: "CalConfigProvider" });
var script$Y = defineComponent({
  ...__default__$X,
  props: {
    themeOverrides: {
      type: Object,
      default: {}
    }
  },
  setup(__props) {
    const props = __props;
    const themeOverrides = toRef(props, "themeOverrides");
    const injectOverrides = inject("themeOverrides");
    const mergeTheme = computed(() => merge(injectOverrides?.value, themeOverrides.value));
    provide("themeOverrides", mergeTheme);
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$m, [
        renderSlot(_ctx.$slots, "default")
      ]);
    };
  }
});

script$Y.__scopeId = "data-v-2c3c6643";
script$Y.__file = "package/components/config-provider/src/ConfigProvider.vue";

const _hoisted_1$l = { class: "cal-menu transition-all duration-200 flex-1" };
const __default__$W = defineComponent({ name: "CalMenu" });
var script$X = defineComponent({
  ...__default__$W,
  props: {
    collapse: Boolean,
    defaultActive: {
      type: Array,
      default: []
    },
    styleType: String
  },
  emits: ["update"],
  setup(__props, { emit }) {
    const props = __props;
    const source = useVModel(props, "defaultActive");
    const defaultActive = computed({
      get: () => Array.isArray(source.value) ? source.value : [source.value],
      set: (value) => {
        Array.isArray(source.value) ? source.value = value : source.value = value[0];
      }
    });
    provide("collapse", toRef(props, "collapse"));
    provide("defaultActive", defaultActive);
    provide("onUpdate", (key, indexs) => {
      defaultActive.value = indexs;
      emit("update", key, indexs);
    });
    provide("styleType", props.styleType);
    return (_ctx, _cache) => {
      return openBlock(), createBlock("ul", _hoisted_1$l, [
        createVNode(script$14, { class: "h-full" }, {
          default: withCtx(() => [
            renderSlot(_ctx.$slots, "default")
          ]),
          _: 3
        })
      ]);
    };
  }
});

script$X.__file = "package/components/menu/src/Menu.vue";

const _withId$8 = /* @__PURE__ */ withScopeId("data-v-9a2e6faa");
pushScopeId("data-v-9a2e6faa");
const _hoisted_1$k = {
  key: 0,
  class: "cal-menu-item__prefix"
};
const _hoisted_2$g = {
  key: 0,
  class: "cal-menu-item__content"
};
popScopeId();
const __default__$V = defineComponent({ name: "CalMenuItem" });
var script$W = defineComponent({
  ...__default__$V,
  props: {
    index: String,
    indicator: {
      type: Boolean
    },
    vertical: Boolean,
    notUpdate: Boolean
  },
  setup(__props) {
    const props = __props;
    useTheme("Menu");
    const upindexs = inject("upindexs");
    const indexs = computed(() => [...upindexs?.value || [], props.index]);
    const collapse = inject("collapse");
    const defaultActive = inject("defaultActive");
    const styleType = inject("styleType");
    const isChildren = inject("isChildren");
    const onUpdate = inject("onUpdate");
    const active = computed(() => {
      return defaultActive.value.some((v) => v === props.index);
    });
    const itemCalss = computed(() => {
      const buttonClass = ["cal-munu-item__button"];
      const buttonActiveClass = [
        "cal-munu-item__button__default",
        "cal-munu-item__button-active",
        { "cal-munu-item__indicator": props.indicator }
      ];
      const childrenClass = ["cal-munu-item__children"];
      const childrenAcitveClass = [
        "cal-munu-item__children-active",
        { "cal-munu-item__indicator": props.indicator }
      ];
      const defaultClass = ["cal-munu-item__default"];
      const defaultActiveClass = [
        "cal-munu-item__default-active",
        { "cal-munu-item__indicator": props.indicator }
      ];
      let currentActiveClass = [];
      let currentClass = [];
      if (isChildren) {
        styleType === "button" && childrenClass.push("cal-munu-item__button__default");
        styleType === "button" && childrenAcitveClass.push("cal-munu-item__button__default");
        currentClass = childrenClass;
        currentActiveClass = childrenAcitveClass;
      } else if (styleType === "button") {
        currentClass = buttonClass;
        currentActiveClass = buttonActiveClass;
      } else {
        currentClass = defaultClass;
        currentActiveClass = defaultActiveClass;
      }
      return active.value ? currentActiveClass : currentClass;
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock("li", {
        class: ["\r\n      cal-menu-item\r\n      cursor-pointer\r\n      transition-all\r\n      duration-500\r\n      text-center\r\n      flex\r\n      justify-center\r\n      items-center\r\n    ", [
          unref(itemCalss),
          __props.vertical ? "flex-col" : "cal-menu-item--vertical",
          unref(collapse) ? "cal-menu-item--collapse" : ""
        ]],
        onClick: _cache[1] || (_cache[1] = ($event) => !__props.notUpdate && unref(onUpdate)?.(__props.index, unref(indexs)))
      }, [
        _ctx.$slots["prefix"] ? (openBlock(), createBlock("span", _hoisted_1$k, [
          renderSlot(_ctx.$slots, "prefix")
        ])) : createCommentVNode("v-if", true),
        createVNode(Transition, {
          "enter-active-class": "animate__bounceIn",
          "leave-active-class": "animate__bounceOut",
          duration: { enter: 400, leave: 1 }
        }, {
          default: _withId$8(() => [
            !unref(collapse) ? (openBlock(), createBlock("span", _hoisted_2$g, [
              renderSlot(_ctx.$slots, "default")
            ])) : createCommentVNode("v-if", true)
          ]),
          _: 3
        }),
        _ctx.$slots["suffix"] ? renderSlot(_ctx.$slots, "suffix", { key: 1 }) : createCommentVNode("v-if", true)
      ], 2);
    };
  }
});

script$W.__scopeId = "data-v-9a2e6faa";
script$W.__file = "package/components/menu/src/MenuItem.vue";

const __default__$U = defineComponent({ name: "CalCollapseTransition" });
var script$V = defineComponent({
  ...__default__$U,
  setup(__props) {
    const on = {
      beforeEnter(el) {
        el.classList.add("collapse-transition");
        if (!el.dataset)
          el.dataset = {};
        el.dataset.oldPaddingTop = el.style.paddingTop;
        el.dataset.oldPaddingBottom = el.style.paddingBottom;
        el.style.height = "0";
        el.style.paddingTop = "0";
        el.style.paddingBottom = "0";
      },
      enter(el) {
        el.dataset.oldOverflow = el.style.overflow;
        if (el.scrollHeight !== 0) {
          el.style.height = el.scrollHeight + "px";
          el.style.paddingTop = el.dataset.oldPaddingTop || "0";
          el.style.paddingBottom = el.dataset.oldPaddingBottom || "0";
        } else {
          el.style.height = "";
          el.style.paddingTop = el.dataset.oldPaddingTop || "0";
          el.style.paddingBottom = el.dataset.oldPaddingBottom || "0";
        }
        el.style.overflow = "hidden";
      },
      afterEnter(el) {
        el.classList.remove("collapse-transition");
        el.style.height = "";
        el.style.overflow = el.dataset.oldOverflow || "0";
      },
      beforeLeave(el) {
        if (!el.dataset)
          el.dataset = {};
        el.dataset.oldPaddingTop = el.style.paddingTop;
        el.dataset.oldPaddingBottom = el.style.paddingBottom;
        el.dataset.oldOverflow = el.style.overflow;
        el.style.height = el.scrollHeight + "px";
        el.style.overflow = "hidden";
      },
      leave(el) {
        if (el.scrollHeight !== 0) {
          el.classList.add("collapse-transition");
          el.style.transitionProperty = "height";
          el.style.height = "0";
          el.style.paddingTop = "0";
          el.style.paddingBottom = "0";
        }
      },
      afterLeave(el) {
        el.classList.remove("collapse-transition");
        el.style.height = "";
        el.style.overflow = el.dataset.oldOverflow || "0";
        el.style.paddingTop = el.dataset.oldPaddingTop || "0";
        el.style.paddingBottom = el.dataset.oldPaddingBottom || "0";
      }
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock(Transition, toHandlers(on), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$V.__file = "package/components/transition/src/CollapseTransition.vue";

const _withId$7 = /* @__PURE__ */ withScopeId("data-v-57e914d2");
pushScopeId("data-v-57e914d2");
const _hoisted_1$j = { class: "cal-menu-group" };
const _hoisted_2$f = { class: "cal-menu-group__contents" };
popScopeId();
const __default__$T = defineComponent({ name: "CalMenuGroup" });
var script$U = defineComponent({
  ...__default__$T,
  props: {
    index: {
      type: [String],
      default: ""
    }
  },
  setup(__props) {
    const props = __props;
    const upindexs = inject("upindexs");
    provide("upindexs", computed(() => [...upindexs?.value || [], props.index]));
    const defaultActive = inject("defaultActive");
    const active = computed(() => {
      return defaultActive.value.some((v) => v === props.index);
    });
    const showMenuItems = ref(false);
    setTimeout(() => showMenuItems.value = active.value);
    const onShowMenuItems = () => {
      showMenuItems.value = !showMenuItems.value;
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock("ul", _hoisted_1$j, [
        createVNode(script$W, {
          index: __props.index,
          onClick: onShowMenuItems,
          "not-update": ""
        }, {
          prefix: _withId$7(() => [
            renderSlot(_ctx.$slots, "prefix")
          ]),
          suffix: _withId$7(() => [
            createVNode("div", {
              class: ["cal-menu-group__icon transform duration-200 absolute", [showMenuItems.value ? "rotate-0" : "-rotate-180"]]
            }, [
              createVNode(script$18, {
                size: "20",
                type: "up-arrow"
              })
            ], 2)
          ]),
          default: _withId$7(() => [
            renderSlot(_ctx.$slots, "title")
          ]),
          _: 3
        }, 8, ["index"]),
        createVNode(script$1a, {
          id: "isChildren",
          value: true
        }, {
          default: _withId$7(() => [
            createVNode(script$V, null, {
              default: _withId$7(() => [
                withDirectives(createVNode("ul", _hoisted_2$f, [
                  renderSlot(_ctx.$slots, "default")
                ], 512), [
                  [vShow, showMenuItems.value]
                ])
              ]),
              _: 3
            })
          ]),
          _: 1
        })
      ]);
    };
  }
});

script$U.__scopeId = "data-v-57e914d2";
script$U.__file = "package/components/menu/src/MenuGroup.vue";

Layout$1.name = "CalLayout";

Layout$1.Content.name = "CalLayoutContent";
var LayoutContent = Layout$1.Content;

Layout$1.Sider.name = "CalLayoutSider";
var LayoutSider = Layout$1.Sider;

const _hoisted_1$i = { class: "cal-sticky-layout__content flex-1 overflow-y-auto relative" };
const _hoisted_2$e = { class: "cal-sticky-layout__sticky" };
const __default__$S = defineComponent({ name: "CalLayoutSticky" });
var script$T = defineComponent({
  ...__default__$S,
  props: {
    height: {
      type: [String, Number]
    },
    minHeight: {
      type: [String, Number]
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-sticky-layout flex flex-col",
        style: [
          __props.height ? { height: unref(analyUnit)(__props.height || "") } : { minHeight: unref(analyUnit)(__props.minHeight || "") }
        ]
      }, [
        createVNode("div", _hoisted_1$i, [
          renderSlot(_ctx.$slots, "default")
        ]),
        createVNode("div", _hoisted_2$e, [
          renderSlot(_ctx.$slots, "sticky")
        ])
      ], 4);
    };
  }
});

script$T.__file = "package/components/layout/src/LayoutSticky.vue";

const __default__$R = defineComponent({ name: "CalBackground" });
var script$S = defineComponent({
  ...__default__$R,
  props: {
    image: String,
    color: String,
    blur: String,
    zIndex: {
      type: Number,
      default: -100
    }
  },
  setup(__props) {
    const props = __props;
    const theme = useTheme("Background");
    const image = computed(() => props.image || theme.value.image);
    const color = computed(() => props.color || theme.value.color);
    const blur = computed(() => props.blur || theme.value.blur);
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-background absolute left-0 top-0 bottom-0 right-0 overflow-hidden",
        style: { backgroundColor: unref(color), filter: unref(blur), backgroundImage: unref(image), zIndex: __props.zIndex }
      }, null, 4);
    };
  }
});

script$S.__scopeId = "data-v-7fb68958";
script$S.__file = "package/components/background/src/Background.vue";

const __default__$Q = defineComponent({ name: "CalEllipsis" });
var script$R = defineComponent({
  ...__default__$Q,
  props: {
    ...inheritProps(NEllipsis)
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NEllipsis), mergeProps({ class: "cal-ellipsis" }, props), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$R.__file = "package/components/ellipsis/src/Ellipsis.vue";

const __default__$P = defineComponent({ name: "CalSpace" });
var script$Q = defineComponent({
  ...__default__$P,
  props: {
    ...inheritProps(NSpace)
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NSpace), mergeProps({ class: "cal-space" }, props), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$Q.__file = "package/components/space/src/Space.vue";

const _hoisted_1$h = { class: "cal-grid__container" };
const _hoisted_2$d = { class: "cal-grid__view" };
const __default__$O = defineComponent({ name: "CalGrid" });
var script$P = defineComponent({
  ...__default__$O,
  props: {
    size: {
      type: [Number, String, Array, Object],
      required: true
    },
    gap: {
      type: Number,
      default: 24
    },
    justifyContent: {
      type: String,
      default: "space-evenly"
    },
    alignItems: {
      type: String,
      default: "initial"
    }
  },
  setup(__props) {
    const props = __props;
    const handelSize = computed(() => analySize(props.size));
    useCssVars(() => ({
      ...handelSize.value,
      gap: analyUnit(props.gap),
      "justify-content": props.justifyContent,
      "align-items": props.alignItems
    }));
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$h, [
        createVNode("div", _hoisted_2$d, [
          renderSlot(_ctx.$slots, "default")
        ])
      ]);
    };
  }
});

script$P.__file = "package/components/grid/src/Grid.vue";

const __default__$N = defineComponent({ name: "CalAvatar" });
var script$O = defineComponent({
  ...__default__$N,
  props: {
    size: [Number, String],
    src: String,
    fit: String
  },
  setup(__props) {
    const props = __props;
    const style = computed(() => ({
      width: analyUnit(props.size || ""),
      height: analyUnit(props.size || ""),
      fit: props.fit
    }));
    const defaultSrc = "https://client-static-1254212114.cos.ap-guangzhou.myqcloud.com/images/avatar.png";
    const src = computed(() => props.src || defaultSrc || "");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("img", {
        class: "cal-avatar",
        style: [unref(style)],
        src: unref(src)
      }, null, 12, ["src"]);
    };
  }
});

script$O.__file = "package/components/avatar/src/Avatar.vue";

const _hoisted_1$g = {
  key: 1,
  class: "flex items-center text-gray-450"
};
const _hoisted_2$c = { class: "text-gray-450" };
const _hoisted_3$8 = { class: "text-gray-450" };
const __default__$M = defineComponent({ name: "CalInput" });
var script$N = defineComponent({
  ...__default__$M,
  props: {
    modelValue: [String, Number],
    showCount: Boolean,
    maxLength: Number,
    placeholder: String
  },
  emits: [],
  setup(__props, { emit }) {
    const props = __props;
    const slots = useSlots();
    const inputValue = useVModel(props, "modelValue", emit);
    const currentFontNumber = ref(0);
    const inputChange = ({ target: { value } }) => {
      currentFontNumber.value = value?.length || 0;
    };
    watch(() => props.modelValue, (value) => {
      currentFontNumber.value = value?.length || 0;
    }, { immediate: true });
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(AInput), mergeProps({ class: "cal-input" }, props, {
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null),
        onChange: inputChange
      }), {
        suffix: withCtx(() => [
          unref(slots)["suffix"] ? renderSlot(_ctx.$slots, "suffix", { key: 0 }) : __props.showCount ? (openBlock(), createBlock("div", _hoisted_1$g, [
            createVNode("span", _hoisted_2$c, toDisplayString(currentFontNumber.value), 1),
            createVNode("span", _hoisted_3$8, "/" + toDisplayString(__props.maxLength), 1)
          ])) : createCommentVNode("v-if", true)
        ]),
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["value"]);
    };
  }
});

script$N.__file = "package/components/input/src/Input.vue";

const defaultOption = { wait: 300 };
const useShakeDataHandel = (handelFun, option = defaultOption) => {
  const cache = ref("");
  const debounceHandel = debounce(handelFun, option.wait);
  return {
    virtualValue: computed({
      get: () => cache.value,
      set(value) {
        cache.value = value;
        debounceHandel({ value, realValue: cache });
      }
    }),
    realValue: cache
  };
};

const _hoisted_1$f = /* @__PURE__ */ createVNode("div", {
  class: "text-center text-sm text-gray-450 my-auto",
  style: { "min-width": "32px" }
}, "-", -1);
const __default__$L = defineComponent({ name: "CalInputSection" });
var script$M = defineComponent({
  ...__default__$L,
  props: {
    placeholder: {
      type: String,
      default: ""
    },
    width: {
      type: [Number, String],
      default: 175
    },
    modelValue: {
      type: Object,
      default: ["", ""]
    },
    min: { type: Number, default: 0 },
    max: { type: Number, default: 1e5 },
    openAutoSize: Boolean
  },
  emits: [],
  setup(__props, { emit }) {
    const props = __props;
    const modelValue = useVModel(props, "modelValue", emit);
    const rangeJudge = (value) => value > props.max || +value < props.min;
    const { virtualValue: minValue, realValue: minRealValue } = useShakeDataHandel(({ value }) => {
      if (value === "") {
        modelValue.value[0] = "";
      } else if (props.openAutoSize && +value > +maxValue.value) {
        modelValue.value[0] = minRealValue.value = maxValue.value;
      } else if (rangeJudge(value)) {
        modelValue.value[0] = minRealValue.value = value > props.max ? props.max : props.min;
      } else {
        modelValue.value[0] = minRealValue.value = filterPrice(value + "");
      }
    }, { wait: 400 });
    const { virtualValue: maxValue, realValue: maxRealValue } = useShakeDataHandel(({ value }) => {
      if (value === "") {
        modelValue.value[1] = "";
      } else if (props.openAutoSize && +value < +minValue.value) {
        modelValue.value[1] = maxRealValue.value = minValue.value;
      } else if (rangeJudge(value)) {
        modelValue.value[1] = maxRealValue.value = value > props.max ? props.max : props.min;
      } else {
        modelValue.value[1] = maxRealValue.value = filterPrice(value + "");
      }
    }, { wait: 400 });
    watch(() => modelValue.value, (value) => {
      minRealValue.value = value[0];
      maxRealValue.value = value[1];
    }, { immediate: true });
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "flex h-36",
        style: { width: unref(analyUnit)(__props.width) }
      }, [
        createVNode(script$N, {
          placeholder: __props.placeholder,
          modelValue: unref(minValue),
          "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => isRef(minValue) ? minValue.value = $event : null)
        }, null, 8, ["placeholder", "modelValue"]),
        _hoisted_1$f,
        createVNode(script$N, {
          placeholder: __props.placeholder,
          modelValue: unref(maxValue),
          "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => isRef(maxValue) ? maxValue.value = $event : null)
        }, null, 8, ["placeholder", "modelValue"])
      ], 4);
    };
  }
});

script$M.__file = "package/components/input/src/InputSection.vue";

const __default__$K = defineComponent({ name: "CalInputPassword" });
var script$L = defineComponent({
  ...__default__$K,
  setup(__props) {
    const props = __props;
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InputPassword), mergeProps(props, { class: "cal-password" }), null, 16);
    };
  }
});

script$L.__file = "package/components/input/src/InputPassword.vue";

const __default__$J = defineComponent({ name: "CalInputDate" });
var script$K = defineComponent({
  ...__default__$J,
  props: {
    modelValue: [Number, String],
    placeholder: {
      type: String,
      default: ""
    },
    startOf: {
      type: String,
      default: "day"
    },
    toSecond: Boolean
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const inputValue = computed({
      get() {
        if (props.modelValue) {
          return props.toSecond ? moment(+props.modelValue * 1e3) : moment(+props.modelValue);
        }
        return void 0;
      },
      set(moments) {
        if (moments) {
          props.toSecond ? emit("update:modelValue", +moments.startOf(props.startOf).format("X")) : emit("update:modelValue", +moments.format("x"));
        } else {
          emit("update:modelValue", "");
        }
      }
    });
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(DatePicker), mergeProps(props, {
        placeholder: __props.placeholder,
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null)
      }), null, 16, ["placeholder", "value"]);
    };
  }
});

script$K.__scopeId = "data-v-6551fc06";
script$K.__file = "package/components/input/src/InputDate.vue";

const _hoisted_1$e = { class: "cal-input-number flex items-center" };
const __default__$I = defineComponent({ name: "CalInputNumber" });
var script$J = defineComponent({
  ...__default__$I,
  props: {
    ...inheritProps(NInputNumber),
    modelValue: Number
  },
  setup(__props) {
    const props = __props;
    const num = useVModel(props, "modelValue");
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$e, [
        createVNode(unref(NInputNumber), mergeProps({ class: "flex-1" }, props, {
          value: unref(num),
          "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(num) ? num.value = $event : null),
          "show-button": false
        }), null, 16, ["value"]),
        renderSlot(_ctx.$slots, "suffix")
      ]);
    };
  }
});

script$J.__file = "package/components/input/src/inputNumber.vue";

const __default__$H = defineComponent({ name: "CalInputSearch" });
var script$I = defineComponent({
  ...__default__$H,
  setup(__props) {
    const props = __props;
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InputSearch), mergeProps(props, { class: "cal-input-search" }), null, 16);
    };
  }
});

script$I.__file = "package/components/input/src/InputSearch.vue";

const __default__$G = defineComponent({ name: "CalInputSelect" });
var script$H = defineComponent({
  ...__default__$G,
  props: {
    modelValue: [String, Number],
    width: {
      type: [Number, String],
      default: 175
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const inputValue = computed({
      get: () => props.modelValue ? props.modelValue : void 0,
      set(value) {
        emit("update:modelValue", value);
      }
    });
    useTheme("Common");
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ASelect), mergeProps({
        class: "cal-select",
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null),
        dropdownClassName: "cal-select-option"
      }, props, {
        style: { width: unref(analyUnit)(__props.width) },
        allowClear: ""
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["value", "style"]);
    };
  }
});

script$H.__file = "package/components/input/src/InputSelect.vue";

const __default__$F = defineComponent({ name: "CalInputSpecialSelect" });
var script$G = defineComponent({
  ...__default__$F,
  props: {
    modelValue: {
      type: [String, Number],
      default: " "
    },
    width: {
      type: [Number, String],
      default: 116
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const inputValue = computed({
      get: () => props.modelValue ? props.modelValue : void 0,
      set(value) {
        emit("update:modelValue", value);
      }
    });
    useTheme("Common");
    useTheme("PageSelect");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ASelect), mergeProps({
        class: "cal-page-select",
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null),
        dropdownClassName: "cal-page-select-option "
      }, props, {
        style: { width: unref(analyUnit)(__props.width) }
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["value", "style"]);
    };
  }
});

script$G.__file = "package/components/input/src/InputSpecialSelect.vue";

const _withId$6 = /* @__PURE__ */ withScopeId("data-v-6d87f883");
const __default__$E = defineComponent({ name: "CalInputRangePicker" });
var script$F = defineComponent({
  ...__default__$E,
  props: {
    placeholder: {
      type: Object,
      default: ""
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const RangePicker = DatePicker.RangePicker;
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(RangePicker), mergeProps(props, {
        placeholder: __props.placeholder,
        class: "cal-input-range-picker"
      }), {
        suffixIcon: _withId$6(() => [
          createVNode(script$18, {
            type: "date",
            size: "20",
            color: "#8C8C8C"
          })
        ]),
        _: 1
      }, 16, ["placeholder"]);
    };
  }
});

script$F.__scopeId = "data-v-6d87f883";
script$F.__file = "package/components/input/src/InputRangePicker.vue";

const __default__$D = defineComponent({ name: "CalInputTreeSelect" });
var script$E = defineComponent({
  ...__default__$D,
  setup(__props) {
    const props = __props;
    const SHOW_ALL = ATreeSelect.SHOW_ALL;
    useTheme("Input");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ATreeSelect), mergeProps({ class: "cal-custom-tree-select" }, props, { "show-checked-strategy": unref(SHOW_ALL) }), null, 16, ["show-checked-strategy"]);
    };
  }
});

script$E.__file = "package/components/input/src/inputTreeSelect.vue";

const __default__$C = defineComponent({ name: "CalInputTimePicker" });
var script$D = defineComponent({
  ...__default__$C,
  setup(__props) {
    const props = __props;
    useTheme("Input");
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(Fragment, null, [
        createCommentVNode(' <el-config-provider :locale="locale"> '),
        createVNode(unref(ElTimePicker), mergeProps({
          class: "cal-time-picker",
          "is-range": ""
        }, props, { "popper-class": "cal-time-range-picke" }), null, 16),
        createCommentVNode(" </el-config-provider> ")
      ], 2112);
    };
  }
});

script$D.__file = "package/components/input/src/InputTimePicker.vue";

const __default__$B = defineComponent({ name: "CalImage" });
var script$C = defineComponent({
  ...__default__$B,
  props: {
    ...AImage.props,
    size: {
      type: [Number, String, Array, Object],
      default: "100%"
    },
    circle: {
      type: [Boolean, Number, String],
      default: 8
    },
    preview: {
      type: Boolean,
      default: false
    }
  },
  setup(__props) {
    const props = __props;
    const wh = computed(() => analySize(props.size));
    const circle = computed(() => {
      if (typeof props.circle === "boolean" && props.circle) {
        return "99999px";
      }
      return analyUnit(props.circle || "");
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-image overflow-hidden",
        style: { width: unref(wh).width, height: unref(wh).height, borderRadius: unref(circle) }
      }, [
        createVNode(unref(AImage), mergeProps({ class: "object-cover block" }, props, {
          width: "100%",
          height: "100%"
        }), null, 16)
      ], 4);
    };
  }
});

script$C.__file = "package/components/image/src/Image.vue";

const _withId$5 = /* @__PURE__ */ withScopeId("data-v-26c5e198");
const __default__$A = defineComponent({ name: "CalCard" });
var script$B = defineComponent({
  ...__default__$A,
  props: {
    isHidden: {
      type: Boolean,
      default: true
    },
    leftBorder: Boolean
  },
  setup(__props) {
    const props = __props;
    useTheme("Card");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ACard), mergeProps({
        class: ["bg-card-bg-color", [__props.isHidden ? "cal-card " : "card-style-none", __props.leftBorder ? "card-side-strip" : ""]]
      }, props), createSlots({ _: 2 }, [
        renderList(_ctx.$slots, (_, key) => {
          return {
            name: key,
            fn: _withId$5(() => [
              renderSlot(_ctx.$slots, key)
            ])
          };
        })
      ]), 1040, ["class"]);
    };
  }
});

script$B.__scopeId = "data-v-26c5e198";
script$B.__file = "package/components/card/src/Card.vue";

const _hoisted_1$d = /* @__PURE__ */ createVNode("div", { class: "loading-gif_" }, [
  /* @__PURE__ */ createVNode("span"),
  /* @__PURE__ */ createVNode("span"),
  /* @__PURE__ */ createVNode("span"),
  /* @__PURE__ */ createVNode("span"),
  /* @__PURE__ */ createVNode("span")
], -1);
const _hoisted_2$b = { class: "auth-control_" };
const _hoisted_3$7 = { class: "range-text" };
const _hoisted_4$5 = /* @__PURE__ */ createVNode("div", null, null, -1);
const _hoisted_5$4 = /* @__PURE__ */ createVNode("div", null, null, -1);
const _hoisted_6$4 = /* @__PURE__ */ createVNode("div", null, null, -1);
const __default__$z = defineComponent({ name: "CalGraphicsVerif" });
var script$A = defineComponent({
  ...__default__$z,
  props: {
    proportion: { type: Number, default: 0.6 / 1 },
    show: { type: Boolean, default: true },
    puzzleScale: { type: Number, default: 1 },
    sliderSize: { type: Number, default: 50 },
    range: { type: Number, default: 10 },
    imgs: {
      type: Array
    },
    successText: {
      type: String,
      default: "\u9A8C\u8BC1\u901A\u8FC7\uFF01"
    },
    failText: {
      type: String,
      default: "\u9A8C\u8BC1\u5931\u8D25\uFF0C\u8BF7\u91CD\u8BD5"
    },
    sliderText: {
      type: String,
      default: "\u62D6\u52A8\u6ED1\u5757\u5B8C\u6210\u62FC\u56FE"
    }
  },
  setup(__props) {
    const props = __props;
    const context = useContext();
    const vuePuzzleVcode = ref();
    const rangeSlider = ref();
    const canvas1 = ref(null);
    const canvas2 = ref(null);
    const canvas3 = ref(null);
    ref(true);
    const canvasWidth = ref(460);
    onMounted(() => {
      canvasWidth.value = vuePuzzleVcode.value?.clientWidth || 460;
    });
    const canvasHeight = computed(() => canvasWidth.value * props.proportion);
    const puzzleScale = computed(() => canvasWidth.value / 460);
    const onlyDebounce = debounce(() => {
      canvasWidth.value = vuePuzzleVcode.value?.clientWidth || 460;
      reset();
    }, 200);
    const { width } = useWindowSize();
    watch(width, onlyDebounce);
    const state = reactive({
      mouseDown: false,
      startWidth: 50,
      startX: 0,
      newX: 0,
      pinX: 0,
      pinY: 0,
      loading: true,
      isCanSlide: false,
      error: false,
      infoBoxShow: false,
      infoText: "",
      infoBoxFail: false,
      timer1: 0,
      closeDown: false,
      isSuccess: false,
      imgIndex: -1
    });
    onMounted(() => {
      document.addEventListener("mousemove", onRangeMouseMove, false);
      document.addEventListener("mouseup", onRangeMouseUp, false);
      document.addEventListener("touchmove", onRangeMouseMove, {
        passive: false
      });
      document.addEventListener("touchend", onRangeMouseUp, false);
      if (props.show) {
        document.body.classList.add("vue-puzzle-overflow");
      }
      reset();
    });
    onUnmounted(() => {
      clearTimeout(state.timer1);
      document.removeEventListener("mousemove", onRangeMouseMove, false);
      document.removeEventListener("mouseup", onRangeMouseUp, false);
      document.removeEventListener("touchmove", onRangeMouseMove, {
        passive: false
      });
      document.removeEventListener("touchend", onRangeMouseUp, false);
    });
    watch(() => props.show, (newV) => {
      if (newV) {
        document.body.classList.add("vue-puzzle-overflow");
        reset();
      } else {
        document.body.classList.remove("vue-puzzle-overflow");
      }
    });
    const styleWidth = computed(() => {
      const w = state.startWidth + state.newX - state.startX;
      return w < sliderBaseSize.value ? sliderBaseSize.value : w > canvasWidth.value ? canvasWidth.value : w;
    });
    const puzzleBaseSize = computed(() => {
      return Math.round(Math.max(Math.min(puzzleScale.value, 2), 0.2) * 52.5 + 6);
    });
    const sliderBaseSize = computed(() => {
      return Math.max(Math.min(Math.round(props.sliderSize), Math.round(canvasWidth.value * 0.5)), 10);
    });
    const onC = () => {
      if (!state.mouseDown) {
        clearTimeout(state.timer1);
        context.emit("close");
      }
    };
    const onCloseMouseDown = () => {
      state.closeDown = true;
    };
    const onCloseMouseUp = () => {
      if (state.closeDown) {
        onC();
      }
      state.closeDown = false;
    };
    const onRangeMouseDown = (e) => {
      if (state.isCanSlide) {
        state.mouseDown = true;
        state.startWidth = rangeSlider?.value?.clientWidth || 0;
        state.newX = e.clientX || e.changedTouches[0].clientX;
        state.startX = e.clientX || e.changedTouches[0].clientX;
      }
    };
    const onRangeMouseMove = (e) => {
      if (state.mouseDown) {
        e.preventDefault();
        state.newX = e.clientX || e.changedTouches[0].clientX;
      }
    };
    const onRangeMouseUp = () => {
      if (state.mouseDown) {
        state.mouseDown = false;
        submit();
      }
    };
    const init = (withCanvas) => {
      state.loading = true;
      state.isCanSlide = false;
      const c = canvas1.value;
      const c2 = canvas2.value;
      const c3 = canvas3.value;
      const ctx = c.getContext("2d");
      const ctx2 = c2.getContext("2d");
      const ctx3 = c3.getContext("2d");
      const img = document.createElement("img");
      ctx.clearRect(0, 0, canvasWidth.value, canvasHeight.value);
      ctx2.clearRect(0, 0, canvasWidth.value, canvasHeight.value);
      state.pinX = getRandom(puzzleBaseSize.value + 20, canvasWidth.value - puzzleBaseSize.value - 10);
      state.pinY = getRandom(20, canvasHeight.value - puzzleBaseSize.value - 10);
      img.crossOrigin = "anonymous";
      img.onload = () => {
        const [x, y, w, h] = makeImgSize(img);
        ctx.save();
        paintBrick(ctx);
        ctx.closePath();
        if (!(navigator.userAgent.indexOf("Firefox") >= 0 && navigator.userAgent.indexOf("Windows") >= 0)) {
          ctx.shadowOffsetX = 0;
          ctx.shadowOffsetY = 0;
          ctx.shadowColor = "#000";
          ctx.shadowBlur = 3;
          ctx.fill();
        }
        ctx.clip();
        ctx.save();
        ctx.shadowOffsetX = 0;
        ctx.shadowOffsetY = 0;
        ctx.shadowColor = "#000";
        ctx.shadowBlur = 2;
        ctx.fill();
        ctx.restore();
        ctx.drawImage(img, x, y, w, h);
        ctx3.drawImage(img, x, y, w, h);
        ctx.globalCompositeOperation = "source-atop";
        paintBrick(ctx);
        ctx.arc(state.pinX + Math.ceil(puzzleBaseSize.value / 2), state.pinY + Math.ceil(puzzleBaseSize.value / 2), puzzleBaseSize.value * 1.2, 0, Math.PI * 2, true);
        ctx.closePath();
        ctx.shadowColor = "rgba(255, 255, 255, .8)";
        ctx.shadowOffsetX = -1;
        ctx.shadowOffsetY = -1;
        ctx.shadowBlur = Math.min(Math.ceil(8 * puzzleScale.value), 12);
        ctx.fillStyle = "#ffffaa";
        ctx.fill();
        const imgData = ctx.getImageData(state.pinX - 3, state.pinY - 20, state.pinX + puzzleBaseSize.value + 5, state.pinY + puzzleBaseSize.value + 5);
        ctx2.putImageData(imgData, 0, state.pinY - 20);
        ctx.restore();
        ctx.clearRect(0, 0, canvasWidth.value, canvasHeight.value);
        ctx.save();
        paintBrick(ctx);
        ctx.globalAlpha = 0.8;
        ctx.fillStyle = "#ffffff";
        ctx.fill();
        ctx.restore();
        ctx.save();
        ctx.globalCompositeOperation = "source-atop";
        paintBrick(ctx);
        ctx.arc(state.pinX + Math.ceil(puzzleBaseSize.value / 2), state.pinY + Math.ceil(puzzleBaseSize.value / 2), puzzleBaseSize.value * 1.2, 0, Math.PI * 2, true);
        ctx.shadowColor = "#000";
        ctx.shadowOffsetX = 2;
        ctx.shadowOffsetY = 2;
        ctx.shadowBlur = 16;
        ctx.fill();
        ctx.restore();
        ctx.save();
        ctx.globalCompositeOperation = "destination-over";
        ctx.drawImage(img, x, y, w, h);
        ctx.restore();
        state.loading = false;
        state.isCanSlide = true;
      };
      img.onerror = () => {
        init(true);
      };
      if (!withCanvas && props.imgs && props.imgs.length) {
        let randomNum = getRandom(0, props.imgs.length - 1);
        if (randomNum === state.imgIndex) {
          if (randomNum === props.imgs.length - 1) {
            randomNum = 0;
          } else {
            randomNum++;
          }
        }
        state.imgIndex = randomNum;
        img.src = props.imgs[randomNum];
      } else {
        img.src = makeImgWithCanvas();
      }
    };
    const getRandom = (min, max) => {
      return Math.ceil(Math.random() * (max - min) + min);
    };
    const makeImgSize = (img) => {
      const imgScale = img.width / img.height;
      const canvasScale = canvasWidth.value / canvasHeight.value;
      let x = 0, y = 0, w = 0, h = 0;
      if (imgScale > canvasScale) {
        h = canvasHeight.value;
        w = imgScale * h;
        y = 0;
        x = (canvasWidth.value - w) / 2;
      } else {
        w = canvasWidth.value;
        h = w / imgScale;
        x = 0;
        y = (canvasHeight.value - h) / 2;
      }
      return [x, y, w, h];
    };
    const paintBrick = (ctx) => {
      const moveL = Math.ceil(15 * puzzleScale.value);
      ctx.beginPath();
      ctx.moveTo(state.pinX, state.pinY);
      ctx.lineTo(state.pinX + moveL, state.pinY);
      ctx.arcTo(state.pinX + moveL, state.pinY - moveL / 2, state.pinX + moveL + moveL / 2, state.pinY - moveL / 2, moveL / 2);
      ctx.arcTo(state.pinX + moveL + moveL, state.pinY - moveL / 2, state.pinX + moveL + moveL, state.pinY, moveL / 2);
      ctx.lineTo(state.pinX + moveL + moveL + moveL, state.pinY);
      ctx.lineTo(state.pinX + moveL + moveL + moveL, state.pinY + moveL);
      ctx.arcTo(state.pinX + moveL + moveL + moveL + moveL / 2, state.pinY + moveL, state.pinX + moveL + moveL + moveL + moveL / 2, state.pinY + moveL + moveL / 2, moveL / 2);
      ctx.arcTo(state.pinX + moveL + moveL + moveL + moveL / 2, state.pinY + moveL + moveL, state.pinX + moveL + moveL + moveL, state.pinY + moveL + moveL, moveL / 2);
      ctx.lineTo(state.pinX + moveL + moveL + moveL, state.pinY + moveL + moveL + moveL);
      ctx.lineTo(state.pinX, state.pinY + moveL + moveL + moveL);
      ctx.lineTo(state.pinX, state.pinY + moveL + moveL);
      ctx.arcTo(state.pinX + moveL / 2, state.pinY + moveL + moveL, state.pinX + moveL / 2, state.pinY + moveL + moveL / 2, moveL / 2);
      ctx.arcTo(state.pinX + moveL / 2, state.pinY + moveL, state.pinX, state.pinY + moveL, moveL / 2);
      ctx.lineTo(state.pinX, state.pinY);
    };
    const makeImgWithCanvas = () => {
      const canvas = document.createElement("canvas");
      const ctx = canvas.getContext("2d");
      if (!ctx)
        return;
      canvas.width = canvasWidth.value;
      canvas.height = canvasHeight.value;
      ctx.fillStyle = `rgb(${getRandom(100, 255)},${getRandom(100, 255)},${getRandom(100, 255)})`;
      ctx.fillRect(0, 0, canvasWidth.value, canvasHeight.value);
      for (let i = 0; i < 12; i++) {
        ctx.fillStyle = `rgb(${getRandom(100, 255)},${getRandom(100, 255)},${getRandom(100, 255)})`;
        ctx.strokeStyle = `rgb(${getRandom(100, 255)},${getRandom(100, 255)},${getRandom(100, 255)})`;
        if (getRandom(0, 2) > 1) {
          ctx.save();
          ctx.rotate(getRandom(-90, 90) * Math.PI / 180);
          ctx.fillRect(getRandom(-20, canvas.width - 20), getRandom(-20, canvas.height - 20), getRandom(10, canvas.width / 2 + 10), getRandom(10, canvas.height / 2 + 10));
          ctx.restore();
        } else {
          ctx.beginPath();
          const ran = getRandom(-Math.PI, Math.PI);
          ctx.arc(getRandom(0, canvas.width), getRandom(0, canvas.height), getRandom(10, canvas.height / 2 + 10), ran, ran + Math.PI * 1.5);
          ctx.closePath();
          ctx.fill();
        }
      }
      return canvas.toDataURL("image/png");
    };
    const submit = () => {
      const x = Math.abs(state.pinX - (styleWidth.value - sliderBaseSize.value) + (puzzleBaseSize.value - sliderBaseSize.value) * ((styleWidth.value - sliderBaseSize.value) / (canvasWidth.value - sliderBaseSize.value)) - 3);
      if (x < props.range) {
        state.infoText = props.successText;
        state.infoBoxFail = false;
        state.infoBoxShow = true;
        state.isCanSlide = false;
        state.isSuccess = true;
        clearTimeout(state.timer1);
        state.timer1 = setTimeout(() => {
          context.emit("success", x);
        }, 800);
      } else {
        state.infoText = props.failText;
        state.infoBoxFail = true;
        state.infoBoxShow = true;
        state.isCanSlide = false;
        context.emit("fail", x);
        clearTimeout(state.timer1);
        state.timer1 = setTimeout(() => {
          reset();
        }, 800);
      }
    };
    const reset = () => {
      state.infoBoxFail = false;
      state.infoBoxShow = false;
      state.isCanSlide = true;
      state.isSuccess = false;
      state.startWidth = sliderBaseSize.value;
      state.startX = 0;
      state.newX = 0;
      init();
    };
    const {
      mouseDown,
      startWidth,
      startX,
      newX,
      pinX,
      pinY,
      loading,
      isCanSlide,
      error,
      infoBoxShow,
      infoText,
      infoBoxFail,
      timer1,
      closeDown,
      isSuccess,
      imgIndex
    } = toRefs(state);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(Fragment, null, [
        createCommentVNode(" \u672C\u4F53\u90E8\u5206 "),
        createVNode("div", {
          ref: vuePuzzleVcode,
          class: ["vue-puzzle-vcode", { show_: __props.show }],
          onMousedown: onCloseMouseDown,
          onMouseup: onCloseMouseUp,
          onTouchstart: onCloseMouseDown,
          onTouchend: onCloseMouseUp
        }, [
          createVNode("div", {
            class: "vue-auth-box_",
            onMousedown: _cache[3] || (_cache[3] = withModifiers(() => {
            }, ["stop"])),
            onTouchstart: _cache[4] || (_cache[4] = withModifiers(() => {
            }, ["stop"]))
          }, [
            createVNode("div", {
              class: "auth-body_",
              style: `height: ${unref(canvasHeight)}px`
            }, [
              createCommentVNode(" \u4E3B\u56FE\uFF0C\u6709\u7F3A\u53E3 "),
              createVNode("canvas", {
                ref: canvas1,
                width: canvasWidth.value,
                height: unref(canvasHeight),
                style: {
                  width: `${canvasWidth.value}px`,
                  height: `${unref(canvasHeight)}px`
                }
              }, null, 12, ["width", "height"]),
              createCommentVNode(" \u6210\u529F\u540E\u663E\u793A\u7684\u5B8C\u6574\u56FE "),
              createVNode("canvas", {
                ref: canvas3,
                class: ["auth-canvas3_", { show: unref(isSuccess) }],
                width: canvasWidth.value,
                height: unref(canvasHeight),
                style: `width:${canvasWidth.value}px;height:${unref(canvasHeight)}px`
              }, null, 14, ["width", "height"]),
              createCommentVNode(" \u5C0F\u56FE "),
              createVNode("canvas", {
                width: unref(puzzleBaseSize),
                class: "auth-canvas2_",
                height: unref(canvasHeight),
                ref: canvas2,
                style: `width:${unref(puzzleBaseSize)}px;height:${unref(canvasHeight)}px;transform:translateX(${unref(styleWidth) - unref(sliderBaseSize) - (unref(puzzleBaseSize) - unref(sliderBaseSize)) * ((unref(styleWidth) - unref(sliderBaseSize)) / (canvasWidth.value - unref(sliderBaseSize)))}px)`
              }, null, 12, ["width", "height"]),
              createVNode("div", {
                class: ["loading-box_", { hide_: !unref(loading) }]
              }, [
                _hoisted_1$d
              ], 2),
              createVNode("div", {
                class: ["info-box_", { show: unref(infoBoxShow) }, { fail: unref(infoBoxFail) }]
              }, toDisplayString(unref(infoText)), 3),
              createVNode("div", {
                class: ["flash_", { show: unref(isSuccess) }],
                style: `transform: translateX(${unref(isSuccess) ? `${canvasWidth.value + unref(canvasHeight) * 0.578}px` : `-${unref(canvasHeight) * 0.578}px`}) skew(-30deg, 0);`
              }, null, 6)
            ], 4),
            createVNode("div", _hoisted_2$b, [
              createVNode("div", {
                class: "range-box",
                style: `height:${unref(sliderBaseSize)}px`
              }, [
                createVNode("div", _hoisted_3$7, toDisplayString(__props.sliderText), 1),
                createVNode("div", {
                  class: "range-slider",
                  ref: rangeSlider,
                  style: `width:${unref(styleWidth) * 0.94}px`
                }, [
                  createVNode("div", {
                    class: ["range-btn", { isDown: unref(mouseDown) }],
                    style: `width:${unref(sliderBaseSize)}px`,
                    onMousedown: _cache[1] || (_cache[1] = ($event) => onRangeMouseDown($event)),
                    onTouchstart: _cache[2] || (_cache[2] = ($event) => onRangeMouseDown($event))
                  }, [
                    _hoisted_4$5,
                    _hoisted_5$4,
                    _hoisted_6$4
                  ], 38)
                ], 4)
              ], 4)
            ])
          ], 32)
        ], 34)
      ], 2112);
    };
  }
});

script$A.__file = "package/components/graphics-verif/src/GraphicsVerif.vue";

const __default__$y = defineComponent({ name: "CalCascader" });
var script$z = defineComponent({
  ...__default__$y,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ACascader), mergeProps({ class: "cal-cascader" }, props), null, 16);
    };
  }
});

script$z.__file = "package/components/cascader/src/Cascader.vue";

const __default__$x = defineComponent({ name: "CalCheckbox" });
var script$y = defineComponent({
  ...__default__$x,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ACheckbox), props, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$y.__file = "package/components/checkbox/src/Checkbox.vue";

const __default__$w = defineComponent({ name: "CalCheckboxGroup" });
var script$x = defineComponent({
  ...__default__$w,
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ACheckboxGroup), props, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$x.__file = "package/components/checkbox/src/CalCheckboxGroup.vue";

const _withId$4 = /* @__PURE__ */ withScopeId("data-v-23807036");
pushScopeId("data-v-23807036");
const _hoisted_1$c = { class: "cal-class__container" };
const _hoisted_2$a = { class: "cal-class__item flex items-center" };
const _hoisted_3$6 = { class: "cal-class__options" };
popScopeId();
const __default__$v = defineComponent({ name: "CalButtonCascader" });
var script$w = defineComponent({
  ...__default__$v,
  props: {
    nestedIndex: {
      type: Number,
      default: 0
    },
    label: String,
    option: {
      type: Object
    },
    fieldNames: {
      type: Object,
      default: { label: "label", value: "value", children: "children" }
    },
    loadData: {
      type: Object,
      default: () => {
        return ({ option }) => option;
      }
    },
    modelValue: {
      type: Array,
      default: []
    }
  },
  emits: ["change"],
  setup(__props, { emit }) {
    const props = __props;
    const options = computed(() => {
      if (Array.isArray(props.option)) {
        return { [props.fieldNames["children"]]: props.option };
      }
      return props.option;
    });
    const source = inject("selects") || useVModel(props, "modelValue");
    const selects = computed({
      get: () => Array.isArray(source.value) ? source.value : [source.value],
      set: (value) => {
        Array.isArray(source.value) ? source.value = value : source.value = value[0];
      }
    });
    if (props.nestedIndex === 0)
      provide("selects", selects);
    const onClickItem = async (item) => {
      const select = selects.value[props.nestedIndex] === item[props.fieldNames["value"]];
      if (select) {
        current.value = void 0;
        selects.value = selects.value.slice(0, props.nestedIndex);
      } else {
        const data = await props.loadData?.({ option: item, nestedIndex: props.nestedIndex });
        current.value = data || cloneDeep(item);
        const value = selects.value.slice(0, props.nestedIndex);
        value.push(item[props.fieldNames["value"]]);
        selects.value = value;
      }
      emit("change", selects.value);
    };
    const current = ref();
    return (_ctx, _cache) => {
      const _component_CalButtonCascader = resolveComponent("CalButtonCascader");
      return openBlock(), createBlock("div", _hoisted_1$c, [
        createVNode("div", _hoisted_2$a, [
          createVNode(script$R, { class: "cal-class__label w-64 mr-10 text-center select-none" }, {
            default: _withId$4(() => [
              createTextVNode(toDisplayString(__props.label || unref(options)?.[__props.fieldNames["label"]]), 1)
            ]),
            _: 1
          }),
          createVNode("div", _hoisted_3$6, [
            (openBlock(true), createBlock(Fragment, null, renderList(unref(options)?.[__props.fieldNames["children"]], (item, index) => {
              return openBlock(), createBlock("div", {
                class: ["\r\n            mx-12\r\n            px-24\r\n            py-6\r\n            rounded-3xl\r\n            inline-block\r\n            cursor-pointer\r\n            transition-colors\r\n            duration-300\r\n            min-w-80\r\n          ", [
                  unref(selects)[__props.nestedIndex] === item?.[__props.fieldNames["value"]] ? "text-classification-selected-text-color bg-classification-selected-body-color" : "bg-classification-not-selected-body-color text-classification-not-selected-text-color"
                ]],
                key: index,
                onClick: ($event) => onClickItem(item)
              }, toDisplayString(item[__props.fieldNames["label"]]), 11, ["onClick"]);
            }), 128))
          ])
        ]),
        current.value?.[__props.fieldNames["children"]]?.length && Array.isArray(unref(source)) ? (openBlock(), createBlock(_component_CalButtonCascader, {
          key: 0,
          "nested-index": __props.nestedIndex + 1,
          option: current.value,
          loadData: __props.loadData,
          fieldNames: __props.fieldNames,
          onChange: _cache[1] || (_cache[1] = ($event) => emit("change", $event))
        }, null, 8, ["nested-index", "option", "loadData", "fieldNames"])) : createCommentVNode("v-if", true)
      ]);
    };
  }
});

script$w.__scopeId = "data-v-23807036";
script$w.__file = "package/components/button/src/ButtonCascader.vue";

const __default__$u = defineComponent({ name: "CalNestedSortTable" });
var script$v = defineComponent({
  ...__default__$u,
  props: {
    modelValue: {
      type: Array,
      required: true
    },
    nestedIndex: {
      type: Number,
      default: 0
    },
    isDrag: {
      type: Boolean,
      default: true
    },
    handle: String
  },
  emits: ["update:modelValue", "end", "move"],
  setup(__props, { emit }) {
    const props = __props;
    const slots = useSlots();
    const showHeader = !!slots.header;
    const tableItems = computed({
      get: () => props.modelValue,
      set: (value) => emit("update:modelValue", value)
    });
    const resetTableItem = (array) => {
      array.forEach((item) => {
        if (Array.isArray(item.children)) {
          resetTableItem(item.children);
        }
        if (!item["CACHE_TABLE_ITEM_KEY"]) {
          item["CACHE_TABLE_ITEM_KEY"] = nanoid(10);
        }
      });
    };
    watch(() => tableItems.value.length, () => resetTableItem(tableItems.value));
    const sortableContainer = ref();
    onMounted(() => {
      if (!sortableContainer.value || !props.isDrag)
        return false;
      Sortable.create(sortableContainer.value, {
        animation: 500,
        handle: props.handle,
        onMove: (evt, originalEvent) => {
          emit("move", evt, originalEvent);
        },
        onEnd: (event) => {
          setTimeout(() => {
            if (typeof event.oldIndex === "undefined")
              return;
            if (typeof event.newIndex === "undefined")
              return;
            const oldViewItem = tableItems.value[event.oldIndex];
            const newViewItem = tableItems.value[event.newIndex];
            if (!(oldViewItem?.preventMove || newViewItem?.preventMove)) {
              const temp = tableItems.value.splice(event.oldIndex, 1)[0];
              tableItems.value.splice(event.newIndex, 0, temp);
            }
            emit("end", event);
          }, 400);
        }
      });
    });
    return (_ctx, _cache) => {
      const _component_cal_nested_sort_table = resolveComponent("cal-nested-sort-table");
      return openBlock(), createBlock("div", {
        class: [__props.nestedIndex ? `nested-sort-table-${__props.nestedIndex}` : "nested-sort-table"]
      }, [
        showHeader ? renderSlot(_ctx.$slots, "header", { key: 0 }) : createCommentVNode("v-if", true),
        createVNode("div", {
          class: "table-list",
          ref: sortableContainer
        }, [
          (openBlock(true), createBlock(Fragment, null, renderList(unref(tableItems), (item, index) => {
            return openBlock(), createBlock("div", {
              class: "table-item",
              key: item.CACHE_TABLE_ITEM_KEY
            }, [
              renderSlot(_ctx.$slots, "item", {
                nestedIndex: __props.nestedIndex,
                items: unref(tableItems),
                item,
                index
              }),
              createCommentVNode(' <div class="strip"></div> '),
              createCommentVNode("  \u9012\u5F52\u4F20\u9012\u591A\u5C42\u5217\u8868, \u5C06 children \u4F20\u5165"),
              item?.children?.length ? withDirectives((openBlock(), createBlock(_component_cal_nested_sort_table, {
                key: 0,
                modelValue: item.children,
                "onUpdate:modelValue": ($event) => item.children = $event,
                "nested-index": __props.nestedIndex + 1,
                isDrag: __props.isDrag
              }, {
                item: withCtx(({ nestedIndex, items, item: item2, index: index2 }) => [
                  renderSlot(_ctx.$slots, "item", {
                    nestedIndex,
                    items,
                    item: item2,
                    index: index2
                  })
                ]),
                _: 2
              }, 1032, ["modelValue", "onUpdate:modelValue", "nested-index", "isDrag"])), [
                [vShow, !item.hideChildren]
              ]) : createCommentVNode("v-if", true)
            ]);
          }), 128))
        ], 512)
      ], 2);
    };
  }
});

script$v.__file = "package/components/nested-sort-table/src/NestedSortTable.vue";

// Copy from vite/src/client/vueJsxCompat.ts

const slice = Array.prototype.slice;

function vueJsxCompat(tag, props = null, children = null) {
  if (arguments.length > 3 || isVNode(children)) {
    children = slice.call(arguments, 2);
  }
  return createVNode(tag, props, children);
}

const __default__$t = defineComponent({ name: "CalNestedSortTableCard" });
var script$u = defineComponent({
  ...__default__$t,
  props: {
    modelValue: {
      type: Array,
      required: true
    },
    nestedIndex: {
      type: Number,
      default: 0
    },
    isDrag: {
      type: Boolean,
      default: true
    },
    handle: String
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const slots = useSlots();
    !!slots.header;
    const tableItems = computed({
      get: () => props.modelValue,
      set: (value) => emit("update:modelValue", value)
    });
    const resetTableItem = (array) => {
      array.forEach((item) => {
        if (Array.isArray(item.children)) {
          resetTableItem(item.children);
        }
        if (!item["CACHE_TABLE_ITEM_KEY"]) {
          item["CACHE_TABLE_ITEM_KEY"] = nanoid(10);
        }
      });
    };
    watch(() => tableItems.value.length, () => resetTableItem(tableItems.value));
    const sortableContainer = ref();
    onMounted(() => {
      if (!sortableContainer.value || !props.isDrag)
        return false;
      Sortable.create(sortableContainer.value, {
        animation: 500,
        handle: props.handle,
        onMove: () => {
        },
        onEnd: (event) => {
          setTimeout(() => {
            if (typeof event.oldIndex === "undefined")
              return;
            if (typeof event.newIndex === "undefined")
              return;
            const oldViewItem = tableItems.value[event.oldIndex];
            const newViewItem = tableItems.value[event.newIndex];
            if (!(oldViewItem?.preventMove || newViewItem?.preventMove)) {
              const temp = tableItems.value.splice(event.oldIndex, 1)[0];
              tableItems.value.splice(event.newIndex, 0, temp);
            }
          }, 400);
        }
      });
    });
    const CardContainer = defineComponent({
      props: {
        hide: Boolean
      },
      setup(props2, { slots: slots2 }) {
        return () => props2.hide ? /* @__PURE__ */ vueJsxCompat(Fragment, null, " ", slots2["default"]?.(), " ") : /* @__PURE__ */ vueJsxCompat(script$B, {
          class: "mb-10",
          "left-border": true
        }, slots2["header"]?.(), slots2["default"]?.());
      }
    });
    return (_ctx, _cache) => {
      const _component_cal_nested_sort_table_card = resolveComponent("cal-nested-sort-table-card");
      return openBlock(), createBlock("div", {
        class: [__props.nestedIndex ? `nested-sort-table-${__props.nestedIndex}` : "nested-sort-table"]
      }, [
        createVNode("div", {
          class: "table-list",
          ref: sortableContainer
        }, [
          (openBlock(true), createBlock(Fragment, null, renderList(unref(tableItems), (item, index) => {
            return openBlock(), createBlock("div", {
              class: "table-item",
              key: item.CACHE_TABLE_ITEM_KEY
            }, [
              createVNode(unref(CardContainer), {
                hide: !!__props.nestedIndex
              }, {
                header: withCtx(() => [
                  renderSlot(_ctx.$slots, "header")
                ]),
                default: withCtx(() => [
                  renderSlot(_ctx.$slots, "item", {
                    nestedIndex: __props.nestedIndex,
                    items: unref(tableItems),
                    item,
                    index
                  }),
                  item?.children?.length ? withDirectives((openBlock(), createBlock(_component_cal_nested_sort_table_card, {
                    key: 0,
                    modelValue: item.children,
                    "onUpdate:modelValue": ($event) => item.children = $event,
                    "nested-index": __props.nestedIndex + 1,
                    isDrag: __props.isDrag
                  }, {
                    item: withCtx(({ nestedIndex, items, item: item2, index: index2 }) => [
                      renderSlot(_ctx.$slots, "item", {
                        nestedIndex,
                        items,
                        item: item2,
                        index: index2
                      })
                    ]),
                    _: 2
                  }, 1032, ["modelValue", "onUpdate:modelValue", "nested-index", "isDrag"])), [
                    [vShow, !item.hideChildren]
                  ]) : createCommentVNode("v-if", true)
                ]),
                _: 2
              }, 1032, ["hide"])
            ]);
          }), 128))
        ], 512)
      ], 2);
    };
  }
});

script$u.__file = "package/components/nested-sort-table/src/NestedSortTableCard.vue";

const __default__$s = defineComponent({ name: "CalEmpty" });
var script$t = defineComponent({
  ...__default__$s,
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(AEmpty), props, null, 16);
    };
  }
});

script$t.__file = "package/components/empty/src/Empty.vue";

const __default__$r = defineComponent({ name: "CalDragFile" });
var script$s = defineComponent({
  ...__default__$r,
  emits: ["change"],
  setup(__props, { emit }) {
    const isOver = ref(false);
    const onInterceptFile = (event) => {
      const files = Object.values(event.dataTransfer.files);
      isOver.value = false;
      emit("change", files);
      event.preventDefault();
    };
    const selectFiles$1 = async (option) => {
      const files = await selectFiles(option);
      emit("change", files);
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "file-drag",
        onDragenter: _cache[1] || (_cache[1] = ($event) => isOver.value = true),
        onDragleave: _cache[2] || (_cache[2] = ($event) => isOver.value = false),
        onDragover: _cache[3] || (_cache[3] = withModifiers(() => {
        }, ["prevent"])),
        onDrop: onInterceptFile
      }, [
        renderSlot(_ctx.$slots, "default", {
          isOver: isOver.value,
          selectFiles: selectFiles$1
        })
      ], 32);
    };
  }
});

script$s.__file = "package/components/drag/src/DragFile.vue";

const _hoisted_1$b = /* @__PURE__ */ createTextVNode("5\u6761/\u9875");
const _hoisted_2$9 = /* @__PURE__ */ createTextVNode("10\u6761/\u9875");
const _hoisted_3$5 = /* @__PURE__ */ createTextVNode("15\u6761/\u9875");
const _hoisted_4$4 = /* @__PURE__ */ createTextVNode("30\u6761/\u9875");
const _hoisted_5$3 = /* @__PURE__ */ createTextVNode("50\u6761/\u9875");
const _hoisted_6$3 = /* @__PURE__ */ createTextVNode("100\u6761/\u9875");
const __default__$q = defineComponent({ name: "CalPageSelect" });
var script$r = defineComponent({
  ...__default__$q,
  props: {
    modelValue: {
      type: [String, Number],
      default: 10
    },
    width: {
      type: [Number, String],
      default: 116
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const inputValue = computed({
      get: () => props.modelValue ? props.modelValue : void 0,
      set(value) {
        emit("update:modelValue", value);
      }
    });
    useTheme("Common");
    useTheme("PageSelect");
    return (_ctx, _cache) => {
      const _component_a_select_option = resolveComponent("a-select-option");
      const _component_a_select = resolveComponent("a-select");
      return openBlock(), createBlock(_component_a_select, mergeProps({
        class: "cal-page-select",
        value: unref(inputValue),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(inputValue) ? inputValue.value = $event : null),
        dropdownClassName: "cal-page-select-option "
      }, props, {
        style: { width: unref(analyUnit)(__props.width) }
      }), {
        default: withCtx(() => [
          createVNode(_component_a_select_option, { value: 5 }, {
            default: withCtx(() => [
              _hoisted_1$b
            ]),
            _: 1
          }),
          createVNode(_component_a_select_option, { value: 10 }, {
            default: withCtx(() => [
              _hoisted_2$9
            ]),
            _: 1
          }),
          createVNode(_component_a_select_option, { value: 15 }, {
            default: withCtx(() => [
              _hoisted_3$5
            ]),
            _: 1
          }),
          createVNode(_component_a_select_option, { value: 30 }, {
            default: withCtx(() => [
              _hoisted_4$4
            ]),
            _: 1
          }),
          createVNode(_component_a_select_option, { value: 50 }, {
            default: withCtx(() => [
              _hoisted_5$3
            ]),
            _: 1
          }),
          createVNode(_component_a_select_option, { value: 100 }, {
            default: withCtx(() => [
              _hoisted_6$3
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 16, ["value", "style"]);
    };
  }
});

script$r.__file = "package/components/page-select/src/PageSelect.vue";

const __default__$p = defineComponent({ name: "CalPagination" });
var script$q = defineComponent({
  ...__default__$p,
  props: {
    modelValue: Number
  },
  setup(__props) {
    const props = __props;
    const modelValue = useVModel(props, "modelValue");
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(APagination), mergeProps({ class: "cal-pagination" }, props, {
        current: unref(modelValue),
        "onUpdate:current": _cache[1] || (_cache[1] = ($event) => isRef(modelValue) ? modelValue.value = $event : null)
      }), null, 16, ["current"]);
    };
  }
});

script$q.__file = "package/components/pagination/src/Pagination.vue";

const _withId$3 = /* @__PURE__ */ withScopeId("data-v-6927cd5a");
const __default__$o = defineComponent({ name: "CalRadio" });
var script$p = defineComponent({
  ...__default__$o,
  props: {
    value: String,
    label: [String, Number]
  },
  setup(__props) {
    const props = __props;
    const target = computed(() => typeof props.value === "undefined" ? props.label : props.value);
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ARadio), mergeProps({ class: "cal-radio" }, props, { value: unref(target) }), {
        default: _withId$3(() => [
          _ctx.$slots["default"] ? renderSlot(_ctx.$slots, "default", { key: 0 }) : (openBlock(), createBlock(Fragment, { key: 1 }, [
            createTextVNode(toDisplayString(__props.label), 1)
          ], 2112))
        ]),
        _: 3
      }, 16, ["value"]);
    };
  }
});

script$p.__scopeId = "data-v-6927cd5a";
script$p.__file = "package/components/radio/src/Radio.vue";

const __default__$n = defineComponent({ name: "CalRadioGroup" });
var script$o = defineComponent({
  ...__default__$n,
  props: {
    modelValue: [String, Number]
  },
  setup(__props) {
    const props = __props;
    const value = useVModel(props, "modelValue");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(RadioGroup), {
        class: "cal-radio-group",
        value: unref(value),
        "onUpdate:value": _cache[1] || (_cache[1] = ($event) => isRef(value) ? value.value = $event : null)
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 8, ["value"]);
    };
  }
});

script$o.__file = "package/components/radio/src/RadioGroup.vue";

const __default__$m = defineComponent({ name: "CalRadioButton" });
var script$n = defineComponent({
  ...__default__$m,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(RadioButton), mergeProps(props, { class: "cal-radios-button" }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$n.__file = "package/components/radio/src/RadioButton.vue";

const __default__$l = defineComponent({ name: "CalStep" });
var script$m = defineComponent({
  ...__default__$l,
  setup(__props) {
    const props = __props;
    const step = Steps.Step;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(step), mergeProps({ class: "cal-step" }, props), {
        icon: withCtx(() => [
          createCommentVNode(' <i class="nr-after text-4xl" /> '),
          createVNode(script$18, {
            class: "after",
            type: "step-highlight",
            size: "40"
          }),
          createVNode(script$18, {
            class: "step-await text-common-primary-color-light-8 transform translate-y-2",
            type: "step-not",
            size: "40"
          }),
          createCommentVNode(' <i class="nr-step-await text-common-primary-color-light-4" style="font-size: 40px" /> ')
        ]),
        description: withCtx(() => [
          renderSlot(_ctx.$slots, "description")
        ]),
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$m.__file = "package/components/step/src/Step.vue";

const __default__$k = defineComponent({ name: "CalSteps" });
var script$l = defineComponent({
  ...__default__$k,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Steps), mergeProps({ class: "cal-steps" }, props), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$l.__file = "package/components/step/src/Steps.vue";

const __default__$j = defineComponent({ name: "CalSwitch" });
var script$k = defineComponent({
  ...__default__$j,
  props: {
    modelValue: [String, Number, Boolean],
    activeValue: {
      type: [String, Number, Boolean],
      default: 1
    },
    closeValue: {
      type: [String, Number, Boolean],
      default: 0
    }
  },
  emits: ["update:modelValue", "change"],
  setup(__props, { emit }) {
    const props = __props;
    const switchValue = computed({
      get: () => {
        return props.modelValue == props.activeValue;
      },
      set: (value) => {
        if (value) {
          emit("update:modelValue", props.activeValue);
        } else {
          emit("update:modelValue", props.closeValue);
        }
      }
    });
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ASwitch), mergeProps({ class: "cal-switch" }, props, {
        checked: unref(switchValue),
        "onUpdate:checked": _cache[1] || (_cache[1] = ($event) => isRef(switchValue) ? switchValue.value = $event : null),
        onChange: _cache[2] || (_cache[2] = ($event) => emit("change", $event ? __props.activeValue : __props.closeValue))
      }), null, 16, ["checked"]);
    };
  }
});

script$k.__file = "package/components/switch/src/Switch.vue";

var script$j = defineComponent({
  props: {
    item: Object,
    index: Number
  },
  setup(__props) {
    const props = __props;
    provide("itemObject", { item: props.item, index: props.index });
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

script$j.__file = "package/components/table/src/TableProvide.vue";

const _withId$2 = /* @__PURE__ */ withScopeId("data-v-489a4e40");
pushScopeId("data-v-489a4e40");
const _hoisted_1$a = { class: "table-container" };
const _hoisted_2$8 = {
  key: 0,
  class: "py-24 mx-24 border-b flex",
  style: { "border-color": "#f5f5f5" }
};
const _hoisted_3$4 = {
  key: 0,
  class: "px-20 flex items-center"
};
const _hoisted_4$3 = { class: "flex-1" };
const _hoisted_5$2 = { class: "flex py-24 overflow-auto" };
const _hoisted_6$2 = /* @__PURE__ */ createVNode("div", { class: "w-4" }, null, -1);
const _hoisted_7$2 = {
  key: 0,
  class: "px-20 flex items-center"
};
popScopeId();
const __default__$i = defineComponent({ name: "CalTable" });
var script$i = defineComponent({
  ...__default__$i,
  props: {
    marginBottom: {
      type: [Number, String],
      default: 10
    },
    minWidth: {
      type: [String, Number],
      default: "none"
    },
    decorate: {
      type: String,
      default: "leftEdgeStrip"
    },
    list: {
      type: Array,
      default: [{}]
    },
    textAlign: {
      type: String,
      default: "left"
    },
    contentAlign: {
      type: String,
      default: "left"
    },
    select: {
      type: Boolean,
      default: false
    },
    selectPosition: {
      type: String,
      default: "center"
    },
    selectAll: {
      type: Boolean,
      default: false
    },
    space: {
      type: [Number, String],
      default: 24
    },
    syncSpace: Boolean
  },
  emits: ["checkboxChange", "itemClick", "update:selectAll"],
  setup(__props, { emit }) {
    const props = __props;
    const slots = useSlots();
    ref(false);
    const selectAll = useVModel(props, "selectAll");
    watch(selectAll, (value) => {
      if (value) {
        fictitiousList.value.forEach((item) => {
          item.CACHE_SELECT_TABLE = value;
        });
      } else {
        const currentAllSelect = !fictitiousList.value.some((item) => !item.CACHE_SELECT_TABLE);
        if (currentAllSelect) {
          fictitiousList.value.forEach((item) => {
            item.CACHE_SELECT_TABLE = value;
          });
        }
      }
      checkboxChange();
    });
    const onCheckboxChange = (item, { target: { checked } }) => {
      item.CACHE_SELECT_TABLE = checked;
      emit("update:selectAll", !fictitiousList.value.some((item2) => !item2.CACHE_SELECT_TABLE));
      checkboxChange();
    };
    const checkboxChange = debounce(() => {
      emit("checkboxChange", fictitiousList.value.filter((item) => item.CACHE_SELECT_TABLE));
    }, 50);
    const updateList = () => {
      return props.list.map((item) => {
        return {
          ...item,
          CACHE_ID_TABLE: item.CACHE_ID_TABLE ? item.CACHE_ID_TABLE : nanoid(5),
          CACHE_SELECT_TABLE: !!item.select,
          CACHE_OLD_ITEM_TABLE: item
        };
      });
    };
    const listOrder = () => {
      if (controller.value.order.sort !== 0) {
        return orderBy(fictitiousList.value, [controller.value.order.index], [controller.value.order.sort === 1 ? "asc" : "desc"]);
      }
      return fictitiousShowList.value;
    };
    const fictitiousList = ref(updateList());
    const fictitiousShowList = ref(updateList());
    const controller = ref({ order: { index: "", sort: 0 }, renderList: false });
    watch(() => props.list, () => {
      fictitiousShowList.value = fictitiousList.value = updateList();
      fictitiousList.value = listOrder();
    }, {
      deep: true
    });
    watch(() => controller.value.order.sort, () => fictitiousList.value = listOrder());
    provide("controller", controller);
    provide("option", props);
    useTheme("Common");
    return (_ctx, _cache) => {
      const _component_cal_empty = resolveComponent("cal-empty");
      return openBlock(), createBlock("div", _hoisted_1$a, [
        (openBlock(true), createBlock(Fragment, null, renderList(fictitiousList.value, (item, index) => {
          return openBlock(), createBlock("div", {
            key: item.CACHE_ID_TABLE,
            class: ["table-view", { "left-edge-strip": __props.decorate === "leftEdgeStrip" }],
            style: { marginBottom: unref(analyUnit)(__props.marginBottom) },
            onClick: ($event) => emit("itemClick", item)
          }, [
            createCommentVNode(" \u5934\u90E8\u5185\u5BB9 "),
            unref(slots)["header"] ? (openBlock(), createBlock("div", _hoisted_2$8, [
              __props.select && __props.selectPosition === "top" ? (openBlock(), createBlock("div", _hoisted_3$4, [
                createVNode(script$y, {
                  onChange: ($event) => onCheckboxChange(item, $event),
                  checked: item.CACHE_SELECT_TABLE,
                  "onUpdate:checked": ($event) => item.CACHE_SELECT_TABLE = $event
                }, null, 8, ["onChange", "checked", "onUpdate:checked"])
              ])) : createCommentVNode("v-if", true),
              createCommentVNode(" \u5934\u5185\u5BB9 "),
              createVNode("div", _hoisted_4$3, [
                renderSlot(_ctx.$slots, "header", {
                  item,
                  index
                })
              ])
            ])) : createCommentVNode("v-if", true),
            createVNode("div", _hoisted_5$2, [
              _hoisted_6$2,
              __props.select && __props.selectPosition === "center" ? (openBlock(), createBlock("div", _hoisted_7$2, [
                createVNode(script$y, {
                  onChange: ($event) => onCheckboxChange(item, $event),
                  checked: item.CACHE_SELECT_TABLE,
                  "onUpdate:checked": ($event) => item.CACHE_SELECT_TABLE = $event
                }, null, 8, ["onChange", "checked", "onUpdate:checked"])
              ])) : createCommentVNode("v-if", true),
              createVNode("div", {
                class: "flex flex-1",
                style: { minWidth: __props.minWidth }
              }, [
                createVNode(script$j, {
                  item: item.CACHE_OLD_ITEM_TABLE,
                  index
                }, {
                  default: _withId$2(() => [
                    renderSlot(_ctx.$slots, "default")
                  ]),
                  _: 2
                }, 1032, ["item", "index"])
              ], 4)
            ])
          ], 14, ["onClick"]);
        }), 128)),
        !fictitiousList.value.length ? (openBlock(), createBlock(_component_cal_empty, {
          key: 0,
          class: "mt-160"
        })) : createCommentVNode("v-if", true)
      ]);
    };
  }
});

script$i.__scopeId = "data-v-489a4e40";
script$i.__file = "package/components/table/src/Table.vue";

const _hoisted_1$9 = { class: "transform -rotate-180 flex items-center" };
const __default__$h = defineComponent({ name: "CalTagSortArrow" });
var script$h = defineComponent({
  ...__default__$h,
  props: {
    modelValue: {
      type: Number,
      default: 0
    },
    size: {
      type: Number,
      default: 12
    },
    text: String
  },
  setup(__props) {
    const props = __props;
    const status = useVModel(props, "modelValue");
    const onClick = () => {
      let index = status.value;
      ++index > 2 ? status.value = 0 : ++status.value;
    };
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("span", {
        class: "relative cursor-pointer flex h-max items-center",
        onClick
      }, [
        renderSlot(_ctx.$slots, "default"),
        createVNode(script$18, {
          class: ["ml-4", [unref(status) === 1 && "text-common-primary-color"]],
          type: "up-arrow-2",
          size: __props.size
        }, null, 8, ["class", "size"]),
        createVNode("div", _hoisted_1$9, [
          createVNode(script$18, {
            class: ["relative", [unref(status) === 2 && "text-common-primary-color"]],
            type: "up-arrow-2",
            size: __props.size,
            style: { left: "30%" }
          }, null, 8, ["size", "class"])
        ])
      ]);
    };
  }
});

script$h.__file = "package/components/_special/src/TagSortArrow.vue";

const _withId$1 = /* @__PURE__ */ withScopeId("data-v-7fda1255");
pushScopeId("data-v-7fda1255");
const _hoisted_1$8 = { key: 0 };
popScopeId();
const __default__$g = defineComponent({ name: "CalTableOption" });
var script$g = defineComponent({
  ...__default__$g,
  props: {
    minWidth: {
      type: [String, Number],
      default: 80
    },
    maxWidth: {
      type: [String, Number],
      default: "none"
    },
    title: String,
    sort: Boolean,
    index: String,
    borderLeft: Boolean,
    borderRight: Boolean,
    type: {
      type: String,
      default: "data"
    }
  },
  setup(__props) {
    const props = __props;
    const slots = useSlots();
    const { item, index } = inject("itemObject");
    const listObject = inject("listObject");
    const option = inject("option");
    const controller = inject("controller");
    const showContent = computed(() => get(item, props.index || props.title || ""));
    if (props.type === "list")
      provide("listObject", showContent.value);
    const isCurrentIndex = () => {
      const isIndex = controller?.value?.order?.index === props.index;
      const isTitle = controller?.value?.order?.index === props.title;
      return isIndex || isTitle;
    };
    const sortState = computed({
      get() {
        return isCurrentIndex() ? controller.value.order.sort : 0;
      },
      set(sort) {
        if (isCurrentIndex()) {
          controller.value.order.sort = sort;
        } else {
          controller.value.order.index = props.index || props.title;
          controller.value.order.sort = 1;
        }
      }
    });
    useTheme("Table");
    useCssVars(() => ({ "table-within-space": analyUnit(option.space) }));
    return (_ctx, _cache) => {
      return __props.type !== "list" ? (openBlock(), createBlock("div", {
        key: 0,
        class: "table-option-container",
        style: {
          maxWidth: unref(option)?.syncSpace ? `calc(${unref(analyUnit)(__props.maxWidth || "")} + (${unref(analyUnit)(unref(option).space)} * 2))` : unref(analyUnit)(__props.maxWidth || ""),
          minWidth: unref(option)?.syncSpace ? `calc(${unref(analyUnit)(__props.minWidth || "")} + (${unref(analyUnit)(unref(option).space)} * 2))` : unref(analyUnit)(__props.minWidth || ""),
          flex: 1,
          paddingLeft: unref(analyUnit)(unref(option).space),
          paddingRight: unref(analyUnit)(unref(option).space),
          borderLeft: props.borderLeft ? "solid 1px #F5F5F5" : "none",
          borderRight: props.borderRight ? "solid 1px #F5F5F5" : "none"
        }
      }, [
        createVNode("div", {
          class: ["w-full text-gray-450 cursor-pointer select-none mb-24", [unref(option).textAlign === "left" ? "text-left" : "text-center"]]
        }, [
          !__props.sort ? (openBlock(), createBlock("span", _hoisted_1$8, toDisplayString(__props.title), 1)) : (openBlock(), createBlock(script$h, {
            key: 1,
            type: "sortArrow",
            size: 13,
            modelValue: unref(sortState),
            "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => isRef(sortState) ? sortState.value = $event : null)
          }, {
            default: _withId$1(() => [
              createVNode("span", null, toDisplayString(__props.title), 1)
            ]),
            _: 1
          }, 8, ["modelValue"]))
        ], 2),
        createVNode("div", {
          class: "flex flex-1 flex-col w-full justify-center list-border",
          ":class": [unref(option).contentAlign === "left" ? "" : "items-center"]
        }, [
          unref(listObject) ? (openBlock(true), createBlock(Fragment, { key: 0 }, renderList(unref(listObject), (item2, i) => {
            return openBlock(), createBlock("div", {
              class: "item-border",
              key: i.toString()
            }, [
              unref(slots)["default"] ? renderSlot(_ctx.$slots, "default", {
                key: 0,
                content: item2[props.index || props.title || ""],
                item: item2,
                index: i,
                list: unref(listObject)
              }) : (openBlock(), createBlock(Fragment, { key: 1 }, [
                createTextVNode(toDisplayString(item2[props.index || props.title || ""]), 1)
              ], 2112))
            ]);
          }), 128)) : unref(slots)["default"] ? renderSlot(_ctx.$slots, "default", {
            key: 1,
            content: unref(showContent),
            item: unref(item),
            index: unref(index),
            list: unref(option).list
          }) : (openBlock(), createBlock(Fragment, { key: 2 }, [
            createTextVNode(toDisplayString(unref(showContent)), 1)
          ], 2112))
        ], 8, [":class"])
      ], 4)) : unref(slots)["default"] ? (openBlock(), createBlock("div", {
        key: 1,
        class: "flex border-style-release",
        style: {
          maxWidth: unref(option)?.syncSpace ? `calc(${unref(analyUnit)(__props.maxWidth || "")} + (${unref(analyUnit)(unref(option).space)} * 2))` : unref(analyUnit)(__props.maxWidth || ""),
          minWidth: unref(option)?.syncSpace ? `calc(${unref(analyUnit)(__props.minWidth || "")} + (${unref(analyUnit)(unref(option).space)} * 2))` : unref(analyUnit)(__props.minWidth || ""),
          flex: 1,
          paddingLeft: unref(analyUnit)(unref(option).space),
          paddingRight: unref(analyUnit)(unref(option).space),
          borderLeft: props.borderLeft ? "solid 1px #F5F5F5" : "none",
          borderRight: props.borderRight ? "solid 1px #F5F5F5" : "none"
        }
      }, [
        renderSlot(_ctx.$slots, "default", {
          content: unref(showContent),
          item: unref(item),
          index: unref(index),
          list: unref(option).list
        })
      ], 4)) : (openBlock(), createBlock(Fragment, { key: 2 }, [
        createTextVNode(toDisplayString(unref(showContent)), 1)
      ], 2112));
    };
  }
});

script$g.__scopeId = "data-v-7fda1255";
script$g.__file = "package/components/table/src/TableOption.vue";

const __default__$f = defineComponent({ name: "CalTabs" });
var script$f = defineComponent({
  ...__default__$f,
  props: {
    hideTab: Boolean
  },
  setup(__props) {
    const props = __props;
    provide("hideTab", props.hideTab);
    useTheme("Common");
    useTheme("Tabs");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ATabs), mergeProps({ class: "cal-tabs" }, props, { animated: false }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

script$f.__file = "package/components/tabs/src/Tabs.vue";

const _hoisted_1$7 = { class: "cal-tab-pane__content flex-1" };
const _hoisted_2$7 = { class: "cal-tab-pane__sticky" };
const _hoisted_3$3 = { class: "cal-tab-pane__content flex-1" };
const _hoisted_4$2 = { class: "cal-tab-pane__sticky" };
const __default__$e = defineComponent({ name: "CalTabPane" });
var script$e = defineComponent({
  ...__default__$e,
  props: {
    alone: Boolean,
    hide: Boolean,
    minHeight: [Number, String]
  },
  setup(__props) {
    const props = __props;
    const ATabPane = ATabs.TabPane;
    const isHide = computed(() => inject("hideTab") || props.hide);
    return (_ctx, _cache) => {
      return __props.alone ? (openBlock(), createBlock("div", {
        key: 0,
        class: "cal-tab-pane bg-tabs-background-color p-24 flex flex-col",
        style: { minHeight: unref(analyUnit)(__props.minHeight || "") }
      }, [
        createVNode("div", _hoisted_1$7, [
          renderSlot(_ctx.$slots, "default")
        ]),
        createVNode("div", _hoisted_2$7, [
          renderSlot(_ctx.$slots, "sticky")
        ])
      ], 4)) : !unref(isHide) ? (openBlock(), createBlock(unref(ATabPane), mergeProps({
        key: 1,
        class: "cal-tab-pane bg-tabs-background-color p-24 flex flex-col",
        style: { minHeight: unref(analyUnit)(__props.minHeight || "") }
      }, props), {
        tab: withCtx(() => [
          renderSlot(_ctx.$slots, "tab")
        ]),
        default: withCtx(() => [
          createVNode("div", _hoisted_3$3, [
            renderSlot(_ctx.$slots, "default")
          ]),
          createVNode("div", _hoisted_4$2, [
            renderSlot(_ctx.$slots, "sticky")
          ])
        ]),
        _: 3
      }, 16, ["style"])) : createCommentVNode("v-if", true);
    };
  }
});

script$e.__file = "package/components/tabs/src/TabPane.vue";

const __default__$d = defineComponent({ name: "CalTextarea" });
var script$d = defineComponent({
  ...__default__$d,
  setup(__props) {
    const props = __props;
    const ATextarea = AInput.TextArea;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ATextarea), mergeProps({ class: "cal-textarea" }, props), null, 16);
    };
  }
});

script$d.__file = "package/components/textarea/src/Textarea.vue";

const __default__$c = defineComponent({ name: "CalTree" });
var script$c = defineComponent({
  ...__default__$c,
  setup(__props) {
    const props = __props;
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ATree), props, null, 16);
    };
  }
});

script$c.__file = "package/components/tree/src/Tree.vue";

const _hoisted_1$6 = { class: "cal-upload-box w-1/2 bg-upload-bg-color" };
const _hoisted_2$6 = {
  class: "border-dashed border-2 border-common-primary-color-light-6",
  style: { "border-radius": "10px" }
};
const _hoisted_3$2 = { class: "text-center py-24" };
const _hoisted_4$1 = { class: "text-common-primary-color text-sm" };
const _hoisted_5$1 = /* @__PURE__ */ createTextVNode("\u9009\u62E9\u6587\u4EF6");
const _hoisted_6$1 = /* @__PURE__ */ createTextVNode(" \u63D0\u4EA4 ");
const _hoisted_7$1 = /* @__PURE__ */ createTextVNode(" \u4E0B\u8F7DExcel\u6A21\u677F ");
const _hoisted_8$1 = /* @__PURE__ */ createTextVNode(" \u5FEB\u9012\u516C\u53F8\u5BF9\u7167\u6A21\u677F ");
const __default__$b = defineComponent({ name: "CalUpload" });
var script$b = defineComponent({
  ...__default__$b,
  props: {
    isExpress: {
      type: Boolean,
      default: false
    }
  },
  emits: ["uploadFile", "downloadTemplate", "downloadExpress"],
  setup(__props, { emit }) {
    const fileList = ref();
    const handleChange = (info) => {
      let newFileList = [...info.fileList];
      newFileList = newFileList.slice(-1);
      newFileList = newFileList.map((file) => {
        if (file.response) {
          file.url = file.response.url;
        }
        return file;
      });
      fileList.value = newFileList;
    };
    const beforeUpload = (file) => {
      return new Promise((resolve, reject) => {
        const testmsg = file.name.substring(file.name.lastIndexOf(".") + 1);
        const extension = testmsg == "xlsx" || testmsg == "xls";
        if (!extension) {
          message.error("\u8BF7\u4E0A\u4F20xlsx\u6216\u8005xls\u7684\u683C\u5F0F!");
          return reject(false);
        }
        return resolve(true);
      });
    };
    const submitForm = () => {
      if (fileList.value.length) {
        emit("uploadFile", fileList.value);
      } else {
        message.error("\u8BF7\u5148\u4E0A\u4F20\u6587\u4EF6\uFF01");
      }
    };
    useTheme("upload");
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$6, [
        createVNode("div", _hoisted_2$6, [
          createVNode(unref(Upload), {
            name: "file",
            "file-list": fileList.value,
            action: "https://www.mocky.io/v2/5cc8019d300000980a055e76",
            onChange: handleChange,
            "before-upload": beforeUpload,
            accept: ".xls, .xlsx"
          }, {
            default: withCtx(() => [
              createVNode("div", _hoisted_3$2, [
                createVNode("div", _hoisted_4$1, [
                  renderSlot(_ctx.$slots, "default")
                ]),
                createVNode(script$1d, {
                  class: "w-112 mt-16",
                  style: { "border-radius": "26px" }
                }, {
                  default: withCtx(() => [
                    _hoisted_5$1
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 3
          }, 8, ["file-list"])
        ]),
        createCommentVNode(' <div class="tips" v-if="show">\u8BF7\u5148\u4E0A\u4F20\u6587\u4EF6\u5728\u63D0\u4EA4</div> '),
        createVNode(script$1d, {
          class: "w-112 mt-24",
          type: "primary",
          onClick: submitForm,
          style: { "border-radius": "26px" }
        }, {
          default: withCtx(() => [
            _hoisted_6$1
          ]),
          _: 1
        }),
        createVNode(script$1d, {
          type: "link",
          class: "ml-32 px-0",
          onClick: _cache[1] || (_cache[1] = ($event) => emit("downloadTemplate"))
        }, {
          default: withCtx(() => [
            _hoisted_7$1
          ]),
          _: 1
        }),
        __props.isExpress ? (openBlock(), createBlock(script$1d, {
          key: 0,
          type: "link",
          class: "ml-32 px-0",
          onClick: _cache[2] || (_cache[2] = ($event) => emit("downloadExpress"))
        }, {
          default: withCtx(() => [
            _hoisted_8$1
          ]),
          _: 1
        })) : createCommentVNode("v-if", true)
      ]);
    };
  }
});

script$b.__file = "package/components/upload/src/Upload.vue";

const __default__$a = defineComponent({ name: "CalTagCount" });
var script$a = defineComponent({
  ...__default__$a,
  props: {
    ghost: Boolean
  },
  setup(__props) {
    useTheme("Common");
    return (_ctx, _cache) => {
      return !__props.ghost ? (openBlock(), createBlock(unref(ATag), {
        key: 0,
        class: "\r\n      rounded-md\r\n      text-common-primary-color\r\n      border-common-primary-color border-solid border\r\n      box-border\r\n      bg-white\r\n      text-xs\r\n      ml-10\r\n      mr-0\r\n    "
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      })) : (openBlock(), createBlock(unref(ATag), {
        key: 1,
        color: "var(--common-primary-color)",
        class: "rounded-md box-border text-xs ml-10 mr-0"
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }));
    };
  }
});

script$a.__file = "package/components/_special/src/TagCount.vue";

pushScopeId("data-v-72becdf2");
const _hoisted_1$5 = { class: "coupon-container" };
const _hoisted_2$5 = /* @__PURE__ */ createVNode("div", { class: "coupon-view" }, " \u6298\u6263\u5238 ", -1);
popScopeId();
const __default__$9 = defineComponent({ name: "CalTagCoupon" });
var script$9 = defineComponent({
  ...__default__$9,
  setup(__props) {
    useTheme("Common");
    useTheme("Tabs");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$5, [
        _hoisted_2$5
      ]);
    };
  }
});

script$9.__scopeId = "data-v-72becdf2";
script$9.__file = "package/components/_special/src/TagCoupon.vue";

pushScopeId("data-v-591706e3");
const _hoisted_1$4 = { class: "offers-container" };
const _hoisted_2$4 = /* @__PURE__ */ createVNode("div", { class: "offers-view" }, " \u6EE1\u51CF\u5377 ", -1);
popScopeId();
const __default__$8 = defineComponent({ name: "CalTagOffers" });
var script$8 = defineComponent({
  ...__default__$8,
  setup(__props) {
    useTheme("Common");
    useTheme("Tabs");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1$4, [
        _hoisted_2$4
      ]);
    };
  }
});

script$8.__scopeId = "data-v-591706e3";
script$8.__file = "package/components/_special/src/TagOffers.vue";

const __default__$7 = defineComponent({ name: "CalIncreaseBox" });
var script$7 = defineComponent({
  ...__default__$7,
  props: {
    showSlot: Boolean,
    borderStyle: {
      type: String,
      default: "dashed"
    },
    size: {
      type: [Number, String, Array, Object]
    }
  },
  setup(__props) {
    const props = __props;
    const wh = computed(() => analySize(props.size || ""));
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "\r\n      border border-grey-light\r\n      rounded-lg\r\n      cursor-pointer\r\n      flex flex-col\r\n      justify-center\r\n      items-center\r\n    ",
        style: { borderStyle: __props.borderStyle, width: unref(wh).width, height: unref(wh).height }
      }, [
        createVNode(script$18, {
          type: "increase",
          color: "var(--common-primary-color)",
          size: "24"
        }),
        renderSlot(_ctx.$slots, "default")
      ], 4);
    };
  }
});

script$7.__file = "package/components/_special/src/IncreaseBox.vue";

const _hoisted_1$3 = { style: { "z-index": "2" } };
const _hoisted_2$3 = { class: "cal-select-box__hover absolute left-0 right-0 bottom-0 top-0" };
const __default__$6 = defineComponent({ name: "CalSelectBox" });
var script$6 = defineComponent({
  ...__default__$6,
  props: {
    select: Boolean,
    border: {
      type: Boolean,
      default: true
    },
    borderWidth: {
      type: [Number, String],
      default: 2
    },
    borderRadius: {
      type: [Number, String],
      default: 20
    },
    tagType: {
      type: String,
      default: "yes"
    },
    tagSize: {
      type: [Number, String],
      default: 40
    },
    position: {
      type: String,
      default: "rightTop"
    }
  },
  emits: ["tagClick", "iconClick"],
  setup(__props, { emit }) {
    const props = __props;
    const tagBoxSize = computed(() => ({
      width: analyUnit(props.tagSize),
      height: analyUnit(props.tagSize)
    }));
    const positionStyle = computed(() => ({
      top: /top/i.test(props.position) ? 0 : "none",
      right: /right/i.test(props.position) ? 0 : "none",
      bottom: /bottom/i.test(props.position) ? 0 : "none",
      left: /left/i.test(props.position) ? 0 : "none"
    }));
    const triangleStyle = computed(() => ({
      borderWidth: `calc(${analyUnit(props.tagSize)} / 2)`,
      borderTopColor: /top/i.test(props.position) ? "var(--common-primary-color)" : "transparent",
      borderRightColor: /right/i.test(props.position) ? "var(--common-primary-color)" : "transparent",
      borderBottomColor: /bottom/i.test(props.position) ? "var(--common-primary-color)" : "transparent",
      borderLeftColor: /left/i.test(props.position) ? "var(--common-primary-color)" : "transparent"
    }));
    const iconStyle = computed(() => ({
      top: /top/i.test(props.position) ? `calc(${analyUnit(props.tagSize)} / 4)` : "none",
      right: /right/i.test(props.position) ? `calc(${analyUnit(props.tagSize)} / 4)` : "none",
      bottom: /bottom/i.test(props.position) ? `calc(${analyUnit(props.tagSize)} / 4)` : "none",
      left: /left/i.test(props.position) ? `calc(${analyUnit(props.tagSize)} / 4)` : "none"
    }));
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-select-box relative inline-block overflow-hidden",
        style: { borderRadius: unref(analyUnit)(__props.borderRadius) }
      }, [
        renderSlot(_ctx.$slots, "default"),
        createCommentVNode(" \u9009\u4E2D\u72B6\u6001\u76D2\u5B50 "),
        __props.select ? (openBlock(), createBlock("div", {
          key: 0,
          class: "\r\n        absolute\r\n        left-0\r\n        right-0\r\n        bottom-0\r\n        top-0\r\n        box-border\r\n        border-common-primary-color border-solid\r\n        overflow-hidden\r\n        flex\r\n        items-center\r\n        justify-center\r\n      ",
          style: {
            borderWidth: __props.border && __props.select ? unref(analyUnit)(__props.borderWidth) : "0",
            borderRadius: unref(analyUnit)(__props.borderRadius)
          }
        }, [
          createVNode("div", _hoisted_1$3, [
            renderSlot(_ctx.$slots, "select")
          ]),
          createVNode("div", {
            class: "absolute text-right",
            style: [[unref(positionStyle), unref(tagBoxSize)], { "z-index": "1" }],
            onClick: _cache[2] || (_cache[2] = ($event) => emit("tagClick", { type: "tag" }))
          }, [
            __props.select ? (openBlock(), createBlock("div", {
              key: 0,
              class: "absolute border-solid",
              style: [unref(triangleStyle)]
            }, null, 4)) : createCommentVNode("v-if", true),
            __props.select ? (openBlock(), createBlock(script$18, {
              key: 1,
              class: "absolute",
              type: __props.tagType,
              color: "#ffffff",
              size: +__props.tagSize * 0.8,
              style: [{ "zoom": "0.5", "z-index": "1" }, unref(iconStyle)],
              onClick: _cache[1] || (_cache[1] = ($event) => emit("iconClick", { type: "icon" }))
            }, null, 8, ["type", "size", "style"])) : createCommentVNode("v-if", true)
          ], 4)
        ], 4)) : createCommentVNode("v-if", true),
        createCommentVNode(" hover \u6548\u679C\u76D2\u5B50 "),
        createVNode("div", _hoisted_2$3, [
          renderSlot(_ctx.$slots, "hover")
        ])
      ], 4);
    };
  }
});

script$6.__file = "package/components/_special/src/SelectBox.vue";

const THEME_EDIT_KEY = "--antd-design-vue-flat-edit-theme--";

const useDeepEditorTheme = () => {
  const currentTheme = useGlobalTheme();
  const localeTheme = useStorage(THEME_EDIT_KEY, {});
  const deepEditorTheme = computed(() => {
    const deepThemeConfig = {};
    const getTargetComputed = (target) => {
      return {
        value: computed({
          get: () => get(localeTheme.value, target) || "",
          set: (value) => {
            if (!value) {
              const source = get(localeTheme.value, target.slice(0, target.length - 1));
              delete source[target[target.length - 1]];
              const empty = !Object.values(localeTheme.value[target[0]]).some((v) => v);
              if (empty)
                delete localeTheme.value[target[0]];
            } else {
              set(localeTheme.value, target, value);
            }
          }
        }),
        target,
        name: camelCase(target.join("-"))
      };
    };
    const getThemeComputeds = (option, upperPath) => {
      const array = [];
      let pathMaps = [upperPath];
      const recursion = (option2) => {
        forIn(option2, (v, k) => {
          pathMaps.push(k);
          if (typeof v === "object") {
            recursion(v);
          } else {
            array.push(getTargetComputed([...pathMaps]));
          }
          pathMaps = pathMaps.slice(0, pathMaps.indexOf(k));
        });
      };
      recursion(option);
      return array;
    };
    forIn(currentTheme.value, (v, k) => {
      deepThemeConfig[k] = getThemeComputeds(v, k);
    });
    return deepThemeConfig;
  });
  return {
    deepEditorTheme,
    localeTheme,
    currentTheme
  };
};

const _withId = /* @__PURE__ */ withScopeId("data-v-1aa71a03");
pushScopeId("data-v-1aa71a03");
const _hoisted_1$2 = { class: "cal-theme-editor" };
const _hoisted_2$2 = { class: "w-320 pt-10 mb-20 grid gap-28 overflow-hidden select-none" };
const _hoisted_3$1 = { class: "flex items-center gap-10" };
const _hoisted_4 = /* @__PURE__ */ createVNode("span", { class: "text-lg" }, "\u4E3B\u9898\u7F16\u8F91\u5668", -1);
const _hoisted_5 = /* @__PURE__ */ createTextVNode("\u6E05\u9664\u914D\u7F6E");
const _hoisted_6 = {
  key: 0,
  class: "grid gap-10"
};
const _hoisted_7 = { class: "flex gap-10" };
const _hoisted_8 = /* @__PURE__ */ createTextVNode(" \u751F\u6210\u6DF7\u8272 ");
const _hoisted_9 = { class: "flex gap-28" };
const _hoisted_10 = /* @__PURE__ */ createTextVNode("\u5BFC\u5165");
const _hoisted_11 = /* @__PURE__ */ createTextVNode("\u5BFC\u51FA");
popScopeId();
const __default__$5 = defineComponent({ name: "CalThemeEditor" });
var script$5 = defineComponent({
  ...__default__$5,
  setup(__props) {
    const { localeTheme, deepEditorTheme, currentTheme } = useDeepEditorTheme();
    const mergeTheme = mergeThemeOverrides(localeTheme);
    provide("themeOverrides", mergeTheme);
    const onResetLocaleTheme = () => localeTheme.value = {};
    const onGenerateThemeFuse = (color) => {
      if (!color) {
        message.error("\u8BF7\u5148\u8F93\u5165\u989C\u8272");
        return;
      }
      localeTheme.value.Common = {
        ...localeTheme.value.Common,
        ...fuseThemeColor(color)
      };
    };
    const onCreateJsonDownload = () => {
      downloadBlobFile(JSON.stringify(localeTheme.value, null, "	"), "theme-overrides.json");
    };
    const onImportJsonOption = async () => {
      const [file] = await selectFiles({ multiple: false });
      const jsonText = await readFileReader("readAsText", file);
      localeTheme.value = JSON.parse(jsonText);
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock(Fragment, null, [
        renderSlot(_ctx.$slots, "default"),
        createVNode(unref(NPopover), {
          placement: "left-end",
          trigger: "click"
        }, {
          trigger: _withId(() => [
            createVNode("div", _hoisted_1$2, [
              createVNode(script$18, {
                type: "theme",
                size: "35"
              })
            ])
          ]),
          default: _withId(() => [
            createVNode("div", _hoisted_2$2, [
              createVNode("div", _hoisted_3$1, [
                _hoisted_4,
                createVNode("div", null, [
                  createVNode(script$10, {
                    class: "cursor-pointer",
                    onClick: onResetLocaleTheme
                  }, {
                    default: _withId(() => [
                      _hoisted_5
                    ]),
                    _: 1
                  })
                ])
              ]),
              createVNode(script$14, { class: "h-500" }, {
                default: _withId(() => [
                  createVNode(unref(NCollapse), null, {
                    default: _withId(() => [
                      (openBlock(true), createBlock(Fragment, null, renderList(unref(deepEditorTheme), (editors, key) => {
                        return openBlock(), createBlock(unref(NCollapseItem), {
                          key,
                          title: key
                        }, {
                          default: _withId(() => [
                            editors.length ? (openBlock(), createBlock("div", _hoisted_6, [
                              (openBlock(true), createBlock(Fragment, null, renderList(editors, (item, index) => {
                                return openBlock(), createBlock(Fragment, { key: index }, [
                                  createVNode("div", _hoisted_7, [
                                    createVNode("span", null, toDisplayString(item.name), 1),
                                    item.name === "commonPrimaryColor" ? (openBlock(), createBlock(script$10, {
                                      key: 0,
                                      class: "cursor-pointer",
                                      onClick: ($event) => onGenerateThemeFuse(item.value.value)
                                    }, {
                                      default: _withId(() => [
                                        _hoisted_8
                                      ]),
                                      _: 2
                                    }, 1032, ["onClick"])) : createCommentVNode("v-if", true)
                                  ]),
                                  /color/i.test(item.name) ? (openBlock(), createBlock(script$$, {
                                    key: 0,
                                    "model-value": item.value.value || unref(get)(unref(currentTheme), item.target),
                                    onComplete: ($event) => item.value.value = $event
                                  }, null, 8, ["model-value", "onComplete"])) : (openBlock(), createBlock(script$N, {
                                    key: 1,
                                    modelValue: item.value.value,
                                    "onUpdate:modelValue": ($event) => item.value.value = $event,
                                    placeholder: unref(get)(unref(currentTheme), item.target) || "\u6682\u65E0"
                                  }, null, 8, ["modelValue", "onUpdate:modelValue", "placeholder"]))
                                ], 64);
                              }), 128))
                            ])) : (openBlock(), createBlock(script$t, { key: 1 }))
                          ]),
                          _: 2
                        }, 1032, ["title"]);
                      }), 128))
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }),
              createVNode("div", _hoisted_9, [
                createVNode(script$1d, {
                  class: "flex-1",
                  onClick: onImportJsonOption
                }, {
                  default: _withId(() => [
                    _hoisted_10
                  ]),
                  _: 1
                }),
                createVNode(script$1d, {
                  class: "flex-1",
                  type: "primary",
                  onClick: onCreateJsonDownload
                }, {
                  default: _withId(() => [
                    _hoisted_11
                  ]),
                  _: 1
                })
              ])
            ])
          ]),
          _: 1
        })
      ], 64);
    };
  }
});

script$5.__scopeId = "data-v-1aa71a03";
script$5.__file = "package/components/theme/src/ThemeEditor.vue";

const __default__$4 = defineComponent({ name: "CalButtonTabs" });
var script$4 = defineComponent({
  ...__default__$4,
  props: {
    ...inheritProps(NSpace),
    ...inheritProps(script$1d),
    tabs: {
      type: Object,
      default: []
    },
    current: Object,
    buttonWidth: {
      type: [String, Number],
      default: "110px"
    },
    defaultType: {
      type: String,
      default: ""
    },
    activeType: {
      type: String,
      default: "primary"
    },
    size: {
      type: [Number, String, Array, Object],
      default: 28
    }
  },
  setup(__props) {
    const props = __props;
    const currentModel = useVModel(props, "current");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(NSpace), mergeProps({ lass: "cal-button-tabs" }, props), {
        default: withCtx(() => [
          (openBlock(true), createBlock(Fragment, null, renderList(__props.tabs, (item, index) => {
            return openBlock(), createBlock("div", {
              class: "cal-button-item",
              key: index
            }, [
              createVNode(script$1d, mergeProps(props, {
                type: unref(currentModel) === item.value ? __props.activeType : __props.defaultType,
                onClick: ($event) => currentModel.value = item.value,
                style: { width: unref(analyUnit)(__props.buttonWidth) }
              }), {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(item.label), 1)
                ]),
                _: 2
              }, 1040, ["type", "onClick", "style"])
            ]);
          }), 128))
        ]),
        _: 1
      }, 16);
    };
  }
});

script$4.__file = "package/components/button/src/ButtonTabs.vue";

const _hoisted_1$1 = {
  class: "cal-popover-examples-container text-common-primary-color flex items-center",
  style: { "width": "max-content" }
};
const _hoisted_2$1 = { key: 0 };
const _hoisted_3 = { key: 1 };
const __default__$3 = defineComponent({ name: "CalPopoverExamples" });
var script$3 = defineComponent({
  ...__default__$3,
  props: {
    title: {
      type: String,
      default: "\u793A\u4F8B"
    },
    size: {
      type: [Number, String, Array, Object]
    },
    src: String
  },
  setup(__props) {
    const props = __props;
    const slots = useSlots();
    return (_ctx, _cache) => {
      const _component_a_popover = resolveComponent("a-popover");
      return openBlock(), createBlock(_component_a_popover, mergeProps(props, {
        title: null,
        overlayClassName: "cal-popover-container-in-examples"
      }), {
        content: withCtx(() => [
          createVNode(script$C, {
            size: __props.size,
            src: __props.src
          }, null, 8, ["size", "src"])
        ]),
        default: withCtx(() => [
          createVNode("span", _hoisted_1$1, [
            createVNode(script$18, {
              type: "examples",
              size: "18",
              class: "mr-10"
            }),
            unref(slots)["default"] ? (openBlock(), createBlock("span", _hoisted_2$1, [
              renderSlot(_ctx.$slots, "default")
            ])) : (openBlock(), createBlock("span", _hoisted_3, toDisplayString(__props.title), 1))
          ])
        ]),
        _: 3
      }, 16);
    };
  }
});

script$3.__file = "package/components/popover/src/PopoverExamples.vue";

pushScopeId("data-v-6a25e73c");
const _hoisted_1 = {
  class: "rounded-xl bg-white h-24 box-border border border-solid border-gray-300 flex relative",
  style: { "width": "max-content" }
};
const _hoisted_2 = { class: "flex z-10" };
popScopeId();
const __default__$2 = defineComponent({ name: "CalMoreSwitchGroup" });
const switchKey = Symbol();
var script$2 = defineComponent({
  ...__default__$2,
  props: {
    gap: {
      type: [Number, String],
      default: 16
    },
    modelValue: {
      type: [Number, String]
    }
  },
  emits: ["change"],
  setup(__props, { emit }) {
    const props = __props;
    const selectBoxRef = ref();
    const value = reactive({
      props,
      modelValue: useVModel(props, "modelValue"),
      selectBoxRef
    });
    watch(() => value.modelValue, (value2) => emit("change", value2));
    provide(switchKey, value);
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", _hoisted_1, [
        createVNode("div", {
          class: "absolute switch-select",
          style: {
            width: unref(analyUnit)(selectBoxRef.value?.clientWidth || 0),
            left: unref(analyUnit)(selectBoxRef.value?.offsetLeft || 0)
          }
        }, null, 4),
        createVNode("div", _hoisted_2, [
          renderSlot(_ctx.$slots, "default")
        ])
      ]);
    };
  }
});

script$2.__scopeId = "data-v-6a25e73c";
script$2.__file = "package/components/switch/src/MoreSwitchGroup.vue";

const __default__$1 = defineComponent({ name: "CalMoreSwitchItem" });
var script$1 = defineComponent({
  ...__default__$1,
  props: {
    keyword: String,
    label: String
  },
  setup(__props) {
    const props = __props;
    const value = inject(switchKey);
    const div = ref();
    const onSelect = () => {
      value.modelValue = props.keyword;
    };
    onMounted(() => {
      watch(() => value.modelValue, () => {
        if (value.modelValue === props.keyword)
          value.selectBoxRef = div.value;
      }, {
        immediate: true
      });
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        onClick: onSelect,
        ref: div,
        style: [{ "transition": "0.1s", "transition-delay": "0.1s" }, { paddingLeft: unref(analyUnit)(unref(value).props.gap), paddingRight: unref(analyUnit)(unref(value).props.gap) }],
        class: ["select-none", [__props.keyword == unref(value).modelValue ? "text-white" : "text-gray-450"]]
      }, toDisplayString(__props.label), 7);
    };
  }
});

script$1.__file = "package/components/switch/src/MoreSwitchItem.vue";

const __default__ = defineComponent({ name: "CalTagCylindricalCount" });
var script = defineComponent({
  ...__default__,
  props: {
    state: Boolean,
    size: {
      type: [Number, String, Array, Object],
      default: [16, 22]
    },
    color: String
  },
  setup(__props) {
    const props = __props;
    const handelSize = analySize(props.size);
    useTheme("Common");
    return (_ctx, _cache) => {
      return openBlock(), createBlock("div", {
        class: "cal-cylindrical-count-container flex items-end transition-all",
        style: { width: unref(handelSize).width, height: unref(handelSize).height }
      }, [
        createVNode("div", {
          class: ["flex-1 rounded-t-full duration-200", [!__props.state ? "h-full" : "h-3/5"]],
          style: { backgroundColor: __props.color ? __props.color : `var(--common-primary-color)` }
        }, null, 6),
        createVNode("div", {
          class: ["flex-1 rounded-t-full opacity-25 duration-200", [__props.state ? "h-full" : "h-3/5"]],
          style: { backgroundColor: __props.color ? __props.color : `var(--common-primary-color)` }
        }, null, 6)
      ], 4);
    };
  }
});

script.__file = "package/components/_special/src/TagCylindricalCount.vue";

var components = /*#__PURE__*/Object.freeze({
  __proto__: null,
  CalButton: script$1d,
  CalQrCode: script$1c,
  CalGlobalStyle: script$1b,
  CalProvide: script$1a,
  CalProvides: script$19,
  CalDialog: script$17,
  CalNprogress: script$16,
  CalModel: CalModel,
  CalEcharts: ECharts,
  CalForm: Form,
  CalSlider: script$15,
  CalResult: NResult,
  CalFormItem: FormItem,
  CalPerfectScrollbar: script$14,
  CalButtonProgress: script$13,
  CalEditor: script$12,
  CalBreadcrumb: Breadcrumb,
  CalBreadcrumbItem: BreadcrumbItem,
  CalColorElPickr: script$11,
  CalColorNPickr: script$$,
  CalColorFullPickr: script$_,
  CalColorSimonwepPickr: script$Z,
  CalDescriptions: NDescriptions,
  CalDescriptionsItem: NDescriptionsItem,
  CalConfigProvider: script$Y,
  CalMenu: script$X,
  CalMenuItem: script$W,
  CalMenuGroup: script$U,
  CalLayout: Layout$1,
  CalLayoutContent: LayoutContent,
  CalLayoutSider: LayoutSider,
  CalLayoutSticky: script$T,
  CalBackground: script$S,
  CalEllipsis: script$R,
  CalSpace: script$Q,
  CalGrid: script$P,
  CalAvatar: script$O,
  CalInput: script$N,
  CalInputSection: script$M,
  CalInputPassword: script$L,
  CalInputDate: script$K,
  CalInputNumber: script$J,
  CalInputSearch: script$I,
  CalInputSelect: script$H,
  CalInputSpecialSelect: script$G,
  CalInputRangePicker: script$F,
  CalInputTreeSelect: script$E,
  CalInputTimePicker: script$D,
  CalIcon: script$18,
  CalImage: script$C,
  CalCard: script$B,
  CalGraphicsVerif: script$A,
  CalCascader: script$z,
  CalCheckbox: script$y,
  CalCheckboxGroup: script$x,
  CalButtonCascader: script$w,
  CalNestedSortTable: script$v,
  CalNestedSortTableCard: script$u,
  CalCollapseTransition: script$V,
  CalEmpty: script$t,
  CalDragFile: script$s,
  CalPageSelect: script$r,
  CalPagination: script$q,
  CalRadio: script$p,
  CalRadioGroup: script$o,
  CalRadioButton: script$n,
  CalStep: script$m,
  CalSteps: script$l,
  CalSwitch: script$k,
  CalTable: script$i,
  CalTableOption: script$g,
  CalTabs: script$f,
  CalTabPane: script$e,
  CalTextarea: script$d,
  CalTree: script$c,
  CalUpload: script$b,
  CalTag: script$10,
  CalTagCount: script$a,
  CalTagCoupon: script$9,
  CalTagOffers: script$8,
  CalTagSortArrow: script$h,
  CalIncreaseBox: script$7,
  CalSelectBox: script$6,
  CalThemeEditor: script$5,
  CalButtonTabs: script$4,
  CalPopoverExamples: script$3,
  CalMoreSwitchItem: script$1,
  CalMoreSwitchGroup: script$2,
  CalTagCylindricalCount: script
});

const useAntdForm = (formRef, validRules) => {
  const rules = ref(validRules);
  const validate = async (namePaths) => {
    try {
      return await formRef.value?.validate(namePaths);
    } catch (error) {
      if (!error?.errorFields?.length) {
        message.error(error);
        return void 0;
      }
      message.error(error.errorFields[0]["errors"][0]);
      throw new Error(error);
    }
  };
  const validateFields = async (namePaths) => {
    try {
      const validateFields2 = formRef.value?.validateFields || formRef.value?.validate;
      return await validateFields2(namePaths);
    } catch (error) {
      if (!error.errorFields.length)
        return void 0;
      message.error(error.errorFields[0]["errors"][0]);
      throw new Error(error);
    }
  };
  const resetFields = () => {
    formRef.value?.resetFields();
  };
  const clearValidate = (names) => {
    formRef.value?.clearValidate(names);
  };
  const scrollToField = (namePath, option) => {
    formRef.value?.scrollToField(namePath, option);
  };
  return { rules, validate, validateFields, scrollToField, resetFields, clearValidate };
};

const install = (app) => {
  Object.values(components).forEach((component) => {
    app.component(component.name, component);
  });
  app.use(antd__default);
};
var index = { install };

export default index;
export { script$O as CalAvatar, script$S as CalBackground, BreadcrumbItem as CalBreadcrumbItem, script$1d as CalButton, script$w as CalButtonCascader, script$13 as CalButtonProgress, script$4 as CalButtonTabs, script$B as CalCard, script$z as CalCascader, script$y as CalCheckbox, script$x as CalCheckboxGroup, script$V as CalCollapseTransition, script$11 as CalColorElPickr, script$_ as CalColorFullPickr, script$$ as CalColorNPickr, script$Z as CalColorSimonwepPickr, script$Y as CalConfigProvider, script$17 as CalDialog, script$s as CalDragFile, script$12 as CalEditor, script$R as CalEllipsis, script$t as CalEmpty, FormItem as CalFormItem, script$1b as CalGlobalStyle, script$A as CalGraphicsVerif, script$P as CalGrid, script$18 as CalIcon, script$C as CalImage, script$7 as CalIncreaseBox, script$N as CalInput, script$K as CalInputDate, script$J as CalInputNumber, script$L as CalInputPassword, script$F as CalInputRangePicker, script$I as CalInputSearch, script$M as CalInputSection, script$H as CalInputSelect, script$G as CalInputSpecialSelect, script$D as CalInputTimePicker, script$E as CalInputTreeSelect, LayoutContent as CalLayoutContent, LayoutSider as CalLayoutSider, script$T as CalLayoutSticky, script$X as CalMenu, script$U as CalMenuGroup, script$W as CalMenuItem, CalModel, script$2 as CalMoreSwitchGroup, script$1 as CalMoreSwitchItem, script$v as CalNestedSortTable, script$u as CalNestedSortTableCard, script$16 as CalNprogress, script$r as CalPageSelect, script$q as CalPagination, script$14 as CalPerfectScrollbar, script$3 as CalPopoverExamples, script$1a as CalProvide, script$19 as CalProvides, script$1c as CalQrCode, script$p as CalRadio, script$n as CalRadioButton, script$o as CalRadioGroup, script$6 as CalSelectBox, script$15 as CalSlider, script$Q as CalSpace, script$m as CalStep, script$l as CalSteps, script$k as CalSwitch, script$e as CalTabPane, script$i as CalTable, script$g as CalTableOption, script$f as CalTabs, script$10 as CalTag, script$a as CalTagCount, script$9 as CalTagCoupon, script as CalTagCylindricalCount, script$8 as CalTagOffers, script$h as CalTagSortArrow, script$d as CalTextarea, script$5 as CalThemeEditor, script$c as CalTree, script$b as CalUpload, defaultTheme, inheritProps, install, mergeThemeOverrides, randomString, transformTheme2CssVars, useAntdForm, useGlobalTheme, useTheme };
